<?php
session_start();
require ('control-session-admin.php');
require ('bd_conn.php');
$title = 'Tous les échanges';

// si on a un get id_trans on peut supprimer un transfert
if(!empty($_GET['id_trans'])) {
	$id_trans = $_GET['id_trans'];
	//si on a un solde indépendant on doit avoir le donneur et le bénéficiaire ainsi que les blés pour pouvoir ajuster le solde !
	$sql = "SELECT donneur, beneficiaire, unites FROM gs_transferts WHERE id_transfert = $id_trans";
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	$row = mysqli_fetch_array($query);
	extract($row);
	
	//on modifie les soldes des 2 membres dans gs_memebres
	$sql = "UPDATE gs_membres SET solde = solde + $unites WHERE id_membre = $donneur";
	$update1 = mysqli_query($con,$sql) or die(mysqli_error($con));
	
	$sql = "UPDATE gs_membres SET solde = solde - $unites WHERE id_membre = $beneficiaire";
	$update2 = mysqli_query($con,$sql) or die(mysqli_error($con));
	
	//on peut alors supprimer le transfert
	if(($update1) && ($update2)){
	$sql = "DELETE FROM gs_transferts WHERE id_transfert = $id_trans";
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	$_GET['id_trans'] = '';
	}
}

$annee_get = date('Y',time()) ;
if (!empty($_GET['annee'])) {
  $annee_get = (int) $_GET['annee'] ;
}

//on prépare la liste de sélection des années en comptant le nombre d'échanges par année
$sql = "SELECT YEAR(t.date) as year ,COUNT(*) as count, SUM(t.unites) as total, MIN(t.date) as first_date    
FROM gs_transferts as t, gs_cat_services as c
WHERE t.id_cat = c.id_cat  
GROUP BY year
ORDER BY year DESC" ;
$result_years = mysqli_query($con,$sql) or die(mysqli_error($con));
$affichage_annees = "" ;
$annee_ok = 0 ;

while($row = mysqli_fetch_array($result_years)) {
  $selected = '' ;
  if ($row['year'] == $annee_get) {
    $selected = ' selected="selected"' ;
    $annee_ok = $annee_get ;
	$total_year = $row['total'];
  }
  $affichage_annees .= '<option value="' . $row['year'] . '"' . $selected . '>' . $row['year'] . ' (' . $row['count'] . ')</option>
  ' ;
  $first_date = $row['first_date'];
}
//on compte le nombre total d'échanges
$sql = "SELECT COUNT(*) as count, SUM(unites) as total FROM gs_transferts as t, gs_cat_services as c WHERE t.id_cat = c.id_cat " ;
$query = mysqli_query($con,$sql) or die(mysqli_error($con));
$result_count = mysqli_fetch_array($query) ;
$nb_total = $result_count['count'] ;
//si on veut le total des blés
$total = $result_count['total'];

//on affiche les données de l'année sélectionnée
$sql = "SELECT t.id_transfert, t.id_cat, t.donneur, t.beneficiaire, t.unites, t.date, t.message, c.nom, m.prenom as donneur_prenom, 
m2.prenom as beneficiaire_prenom  
FROM gs_transferts as t, gs_cat_services as c, gs_membres as m, gs_membres as m2
WHERE t.id_cat = c.id_cat AND YEAR(t.date) = $annee_ok AND t.donneur = m.id_membre AND t.beneficiaire = m2.id_membre   
ORDER BY t.date DESC, t.id_transfert DESC";
$query = mysqli_query($con,$sql) or die(mysqli_error($con));
$nb = mysqli_num_rows($query);
if($nb == 0 && $nb_total > 0){
	$annee_prec = $annee_get - 1;
	header("Location:?annee=$annee_prec");
	}
include('haut.php');

?>
	
<div class="top"><p>
<?php if($_SESSION['droit']) echo '<span class="floatright"><a href="transactions-admin.php">Ajouter</a></span>';?>
Tous les échanges</p></div>

<div class="inner">

<?php if($nb_total < 1) echo '<p>Pas encore d\'échange</p>'; 
else 
{?>	
	<div class="floatright">
    <form name="select_year" action="" method="get" id="select_year">
    année : <select name="annee" onchange="document.getElementById('select_year').submit()"><?php echo $affichage_annees ; ?></select>
    </form></div>
	<p><span class="nb"><?php echo $nb_total;?></span> échanges au total pour <span class="nb"><?php echo $total;?></span> <?php echo $cfg['monnaie'];?> depuis le <?php echo date("d-m-Y",strtotime("$first_date"));?><br />
	<span class="nb"><?php echo $nb;?></span> échanges en <?php echo $annee_ok;?> pour <span class="nb"><?php echo $total_year;?></span> <?php echo $cfg['monnaie'];?> | <a href="echanges-stats.php?year=<?php echo $annee_ok;?>">Voir les statistiques</a></p><br />
		
		
		<table class="membre">
			<tr>
				<th class="first">Date</th>
				<th>De</th>
				<th>A</th>
				<th class="msg">Service</th>
				<th class="last" colspan="2"><?php echo $cfg['monnaie'];?></th>
			</tr>
		<?php 
		//on affiche d'abord les nouveaux échanges 
		while ($data = mysqli_fetch_array($query)){
			$date = $data['date']; ?>
		
			<tr><!-- à répéter autant qu'il y a d'annonces-->
				<td><?php echo date("d-m", strtotime("$date"));?></td>
				<td><a href="profil.php?id_membre=<?php echo $data['donneur'];?>"><?php echo $data['donneur'].'-'.$data['donneur_prenom'];?></a></td>
				<td><a href="profil.php?id_membre=<?php echo $data['beneficiaire'];?>"><?php echo $data['beneficiaire'].'-'.$data['beneficiaire_prenom'];?></a></td>
				<!-- Pour le compte 0, on affiche le message ou s'il n'y en a pas le libellé général -->
				<td><?php if($data['id_cat'] == 0 AND $data['message']) echo '0-'.$data['message']; else echo $data['nom'];?></td>
				<td class="last"><?php echo $data['unites'];?></td>
				
				<td class="last"><?php if($_SESSION['droit']){ ?>
				<a href="?id_trans=<?php echo $data['id_transfert'];?>" onclick="return window.confirm('La suppression est irréversible, supprimer ce transfert ?')"><img src="img/delete.gif" title="Supprimer" /></a>
				<?php }?></td>
			</tr>
		<?php
		} ?>
		</table>
	<?php 
} ?>	
</div>

<?php include('bas.php'); ?>
