<?php
session_start();
require ('control-session-admin.php');
require ('bd_conn.php');
$title = 'Ajouter une photo';

if(!empty($_GET['id'])) $id = (int) $_GET['id'];
$NomImage = 'photos/servoff'.$id.'.jpg';

if(isset($_POST['photo_del'])) {
	if(file_exists($NomImage)) unlink($NomImage);
	header("Location: adm-offres-control.php#id_$id");
	}

if(isset($_FILES['photo'])){
$extensions_valides = array( 'jpg' , 'jpeg' );
if($_FILES['photo']['error']) $erreur = 'Erreur lors du transfert';
if($_FILES['photo']['size'] > 1024000) $erreur = 'L\'image est trop lourde. Maximum 1 Mo';
elseif($_FILES['photo']['error'] == 0) {                        
	$extension = strtolower(substr(strrchr($_FILES['photo']['name'], '.')  ,1)  );
	if ( !in_array($extension,$extensions_valides) ) $erreur = 'L\'extension choisie pour l\'image est incorrecte. Extensions autorisées .jpg ou .jpeg';
	}
	if(empty($erreur)){
		  //redimensionnement pour photo annonce                           
		  $ImageChoisie = imagecreatefromjpeg($_FILES['photo']['tmp_name']);
		  $size = getimagesize($_FILES['photo']['tmp_name']);  
		  $src_w = $size[0]; $src_h = $size[1];
		  
		  $dst_w = 500; //Largeur choisie modifiable
		  $dst_h = 500 ; //Hauteur choisie modifiable
		  
		  //si les dimensions ne dépassent pas celles choisies, on garde celles  d'origine
		  if(($src_w < $dst_w) AND ($src_h < $dst_h)){
				$dst_w = $src_w;
				$dst_h = $src_h;
				}
		  // sinon Teste les dimensions tenant dans la zone et on redimensionne
		  else {
		  $test_h = round(($dst_w / $src_w) * $src_h);
		  $test_w = round(($dst_h / $src_h) * $src_w);
		  
		  if($test_h > $dst_h) $dst_w = $test_w;
		  else $dst_h = $test_h;
		  }

		  $NouvelleImage = imagecreatetruecolor($dst_w , $dst_h) or die ("Erreur");

		  imagecopyresampled($NouvelleImage , $ImageChoisie  , 0,0, 0,0, $dst_w, $dst_h, $size[0],$size[1]);
		  imagedestroy($ImageChoisie);
		  
		  imagejpeg($NouvelleImage, $NomImage, 80);
		  header("Location:adm-offres-control.php#id_$id");
		}	
}
include('haut.php');
if(!empty($erreur)) echo '<p class="erreur">'.$erreur.'</p>';?>

<div class="top"><p><?php echo $title ?></p></div>
<div class="inner">

<p class="info">Choisissez une photo au format .jpg ou .jpeg de maximum 1 Mo. La photo sera redimensionnée en 500 x 500.</p>
	<form method="post" enctype="multipart/form-data" action="">
		<label for="photo">Photo</label>
		
		<input type="file" name="photo" id="photo" /><br />
		<?php if(file_exists($NomImage))
		echo '<label for="supprimer">Supprimer la photo existante</label><input type="checkbox" name="photo_del" id="supprimer" value="supprimer-photo" />';
		?>
		<p><span class="floatright"><input class="button" type="submit" name="submit" value="Envoyer" /></span>
		<input type="reset" class="button" value="Annuler" onclick="javascript:history.go(-1);" /></p>

	</form>

</div>

<?php include('bas.php'); ?>