<?php
session_start();
require ('control-session-admin.php');
require ('bd_conn.php');
require('newMP.php');
$title = 'Budget';

$bles = 0; //pour pouvoir donner un pécule de bienvenue aux nouveaux membres ; inscrire le montant ici ; valeur par défaut 0

//sélection des mails type:  [4] = bienvenue
$sql = "SELECT * FROM gs_mailtype WHERE id = 4";
$query_mail = mysqli_query($con,$sql) or die(mysqli_error($con));
$mail = mysqli_fetch_array($query_mail);


//si le fomulaire d'ajout a été soumis
if(!empty($_POST['submit'])) {
	$datejour = time();
	
	$jour = $_POST['jour'];
	$mois = $_POST['mois'];
	$annee = $_POST['annee'];
	$result = checkdate((int)$mois, (int)$jour, (int)$annee);
	
	$date = $annee.'-'.$mois.'-'.$jour;
	$date1 = mktime(0,0,0,$mois,$jour,$annee);
	
	if($result == false) {
		$message = '<p class="erreur">La date n\'est pas valide. Veuillez corriger svp</p>';
		}
	elseif($date1 > $datejour) {
		$message = '<p class="erreur">Pas de date dans le futur svp</p>';
		}
	elseif($_POST['id_cat'] == '') {
		$message = '<p class="erreur">Vous devez sélectionner une catégorie d\'entrées-sorties</p>';
		}
	elseif($_POST['id_cat'] == '1-E' && $_POST['id_membre'] == '') {
		$message = '<p class="erreur">Vous devez sélectionner un membre s\'il s\'agit d\'une cotisation.
		<br />Cochez aussi la case nouvelle adhésion si c\'est le cas (membre en bleu dans la liste)</p>';
		}
	elseif($_POST['montant'] == '' || $_POST['montant'] < 0) {
		$message = '<p class="erreur">Vous devez indiquer un montant, et sans signe -</p>';
		}
	elseif($_POST['id_cat'] == '11-S' && $_POST['note'] == '') {
		$message = '<p class="erreur">Vous devez indiquer une communication pour une sortie "Autre"</p>';
		}
	else { //le formulaire est OK 
		$tmp = explode('-', $_POST['id_cat']);
		$id_cat = $tmp[0];
		$type = $tmp[1];
		if(isset($_POST['id_membre']))
		$id_membre = $_POST['id_membre']; else $id_membre = '';
		$note = mysqli_real_escape_string($con,$_POST['note']);
		$montantctrl = str_replace(',', '.', $_POST['montant']);
		if($type == 'S') $montant = -$montantctrl;
		else $montant = $montantctrl;
		
		//on prépare la requête d'insertion 
		$sql1 = "INSERT INTO gs_budget (date, id_cat, type, id_membre, note, montant) 
		VALUES ('$date','$id_cat','$type','$id_membre','$note','$montant')";
		
		//si c'est une cotisation, on update la date et on active le membre dans gs_membres (valeur de la cat cotisation = 1)
		if($id_cat == 1) {
			//si c'est un simple renouvellement on ajoute un an à la date de cotisation initiale et on active on cas où, on remet le nb de rappel à zero au cas où
			if(!isset($_POST['newM'])) 
			$sql2 = "UPDATE gs_membres SET date_cotisation = ADDDATE(date_cotisation , INTERVAL 1 YEAR ), nb_rappel = 0, actif = 1 WHERE id_membre = $id_membre";
			
			//si c'est un nouveau membre
			elseif(isset($_POST['newM'])) {
			  //on aura besoin de ces données :
			  $sql = "SELECT login, prenom, email, mp FROM gs_membres WHERE id_membre = $id_membre";
			  $select = mysqli_query($con,$sql) or die(mysqli_error($con));
			  $memb = mysqli_fetch_array($select);
			  
				  /*le membre avait déjà été activé, et a donc un MP, on ajoute la date de l'opération, on active le membre pour le cas où il aurait été désactivé entretemps
				  En cochant nouveau membre on peut faire une fleur à un membre qui n'a pas cotisé pendant longtemps on peut alors choisir la date de cotisation (mais attention si le pécule est activé, il va le recevoir aussi)*/
				  if($memb['mp'] != null){
					if($bles == 0)
					$sql2 = "UPDATE gs_membres SET date_cotisation = '$date', nb_rappel = 0, actif = 1 WHERE id_membre = $id_membre";
					elseif($bles > 0){
						$note = 'Pécule de bienvenue';
						$sqla = "UPDATE gs_membres SET solde = solde - $bles WHERE id_membre = 0";
						$querya = mysqli_query($con,$sqla) or die(mysqli_error($con));
														
						if($querya){
						$sqlb = "INSERT INTO gs_transferts (donneur, id_cat, beneficiaire, unites, date, message) VALUES ('0','0','$id_membre','$bles','$date','$note')";
						$queryb = mysqli_query($con,$sqlb) or die(mysqli_error($con));}
							
						if($queryb){
						$sql2 = "UPDATE gs_membres SET date_cotisation = '$date', actif = 1, solde = solde + $bles WHERE id_membre = $id_membre";
						$note='';}
						else $message =  '<p class="erreur">Un problème s\'est produit à l\'insertion des données</p>';
					}
				  }				  
				  else {
				  //sinon on génère un MP
				  $newMP = genererChaine();
				  $mp = md5($newMP);
				  //on prépare le mail de bienvenue
					$headers ='From: "'.$cfg['nomdusel'].'"<'.$cfg['email'].'>'."\n";
					$headers .='Bcc: '.$cfg['bcc']."\n";
					$headers .='Reply-To: '.$cfg['email']."\n";
					$headers .='Content-Type: text/html; charset="UTF-8"'."\n";
					$headers .='Content-Transfer-Encoding: 8bit' ;
					
					$email = $memb['email'];
					$objet = $cfg['nomdusel'].' : '.$mail['objet'];
						  
					$contenu = '<html><head></head><body><div>';
					$contenu .= sprintf($mail['contenu'], $memb['prenom'], $memb['login'], $newMP, $cfg['site'], $cfg['nomdusel']);
					$contenu .= '</div></body></html>';
						
						if(mail($email, $objet, $contenu, $headers)){
							if($bles == 0)
							$sql2 = "UPDATE gs_membres SET date_cotisation = '$date', actif = 1, mp = '$mp' WHERE id_membre = $id_membre";
														
							elseif($bles > 0){
								$note = 'Pécule de bienvenue';
								$sqla = "UPDATE gs_membres SET solde = solde - $bles WHERE id_membre = 0";
								$querya = mysqli_query($con,$sqla) or die(mysqli_error($con));
																
								if($querya){
								$sqlb = "INSERT INTO gs_transferts (donneur, id_cat, beneficiaire, unites, date, message) VALUES ('0','0','$id_membre','$bles','$date','$note')";
								$queryb = mysqli_query($con,$sqlb) or die(mysqli_error($con));}
									
								if($queryb){
								$sql2 = "UPDATE gs_membres SET date_cotisation = '$date', actif = 1, mp = '$mp', solde = solde + $bles WHERE id_membre = $id_membre";
								$note='';}
								else $message =  '<p class="erreur">Un problème s\'est produit à l\'insertion des données mais le mail a été envoyé</p>';
							}
						}
						else $message = '<p class="erreur">Un problème s\'est produit. Veuillez réessayer plus tard.</p>';
					}
			  }
			//on fait l'update sql2 qui convient
			$update = mysqli_query($con,$sql2) or die(mysqli_error($con));
			if(!$upadte) $message = '<p class="erreur">Un problème s\'est produit. Veuillez réessayer plus tard.</p>';
			} //fin de si cotisation
		
		//insertion de l'opération dans la table budget	
		$query = mysqli_query($con,$sql1) or die(mysqli_error($con));
		if(!$query) $message = '<p class="erreur">Un problème s\'est produit. Veuillez réessayer plus tard.</p>';
		else {
			if($update) header("location:budget.php?update=yes");
			else header("location:budget.php");
			}
	} //fin de formulaire OK			

}//fin du isset
//préparation des données du formulaire
//sélection des types d'entrées-sorties
	$sql = "SELECT * FROM gs_budget_cat WHERE type ='E'";
	$query_entr = mysqli_query($con,$sql) or die(mysqli_error($con));
	
	$sql = "SELECT * FROM gs_budget_cat WHERE type ='S'";
	$query_sort = mysqli_query($con,$sql) or die(mysqli_error($con));
	
//sélection des membres actifs
	$sql = "SELECT id_membre, prenom, date_cotisation FROM gs_membres WHERE actif = 1 ORDER BY id_membre DESC";
	$query_memb_actif = mysqli_query($con,$sql) or die(mysqli_error($con));
	$memb_actif = '';
	while($row = mysqli_fetch_array($query_memb_actif)){
	
	$style = ''; 
	if($row['date_cotisation'] == '' || $row['date_cotisation'] == 0) $style= 'style="color:blue"'; 
	
	//$sel = ''; supprimé $sel
	//if($_POST['id_membre'] == $row['id_membre']) $sel = ' selected="selected"'; 
	
	$memb_actif .= '<option '.$style.' value="'.$row['id_membre'].'">'.$row['id_membre'].' - '.$row['prenom'].'</option>';
	}
//sélection des membres inactifs
	$sql = "SELECT id_membre, prenom, date_cotisation FROM gs_membres WHERE actif = 0 ORDER BY id_membre DESC";
	$query_memb_inactif = mysqli_query($con,$sql) or die(mysqli_error($con));
	$memb_inactif = '';
	while($row = mysqli_fetch_array($query_memb_inactif)){
	
	$style = ''; 
	if($row['date_cotisation'] == '' || $row['date_cotisation'] == 0) $style= 'style="color:blue"'; 
	
	//$sel = ''; supprimé $sel
	//if($_POST['id_membre'] == $row['id_membre']) $sel = ' selected="selected"'; 
	
	$memb_inactif .= '<option '.$style.' value="'.$row['id_membre'].'">'.$row['id_membre'].' - '.$row['prenom'].'</option>';
	}
	
include('haut.php');

if(!empty($message)) echo $message; ?>

<div class="top"><p><?php echo $title;?> : ajouter une opération</p></div>
<div class="inner">
	
	
	<form name="budget" method="post" action="">
		<label>Date</label>
		<input type="text" class="nb" name="jour" maxlength="2" value="<?php if(isset($_POST['jour'])) echo $_POST['jour'];
		else echo date('d');?>" />
				
		<input type="text" class="nb" name="mois" maxlength="2" value="<?php if(isset($_POST['mois'])) echo $_POST['mois'];
		else echo date('m');?>" />
				
		<input type="text" name="annee" size="2" maxlength="4" value="<?php if(isset($_POST['annee'])) echo $_POST['annee'];
		else echo date('Y');?>" />
		<span class="rem">* (jj-mm-aaaa)</span><br />
		
		<label>Entrées-sorties</label>
		<select name="id_cat">
			<option value="">Sélectionner le type</option>
			<optgroup label="Entrées">
				<?php while($row = mysqli_fetch_array($query_entr)){
				$value = $row['id'].'-'.$row['type'];
				if($_POST['id_cat'] == $value) $sel = 'selected="selected"'; else $sel = '';
				echo '<option value="'.$value.'"' .$sel.'>'.$row['nom'].'</option>';
				} ?>
			</optgroup>
			<optgroup label="Sorties">
				<?php while($row = mysqli_fetch_array($query_sort)){
				$value = $row['id'].'-'.$row['type'];
				if($_POST['id_cat'] == $value) $sel = ' selected="selected"'; else $sel = '';
				echo '<option value="'.$value.'"'.$sel.'>'.$row['nom'].'</option>';
				} ?>
			</optgroup>
		</select><span class="rem">*</span><br />
		
		<label>Membre</label>
		<select name="id_membre">
			<option value="">Sélectionner un membre</option>
			<optgroup label="Membres actifs">
				<?php echo $memb_actif;?>
			</optgroup>
			
			<optgroup label="Membres inactifs">
				<?php echo $memb_inactif;?>
			</optgroup>
		</select> <span class="rem">* obligatoire pour une entrée "Cotisation"</span><br />
		
		<label>Adhésion</label>
		<input type="checkbox" name="newM" /> <span class="rem">* cocher cette case pour une nouvelle adhésion (membre en bleu)</span><br />
		
		<label>Montant</label>
		<input type="text" size="6" name="montant" value="<?php if(isset($_POST['montant'])) echo $_POST['montant'];?>" />
		<span class="rem">*</span><br />
		
		<label>Communication</label>
		<?php $note = isset($_POST['note']) ? strip_tags(trim($_POST['note'])) : NULL;?>
		<input size="50" type="text" name="note" value="<?php echo htmlspecialchars($note, ENT_QUOTES);?>" /><br />
		<label>&nbsp;</label><span class="rem">* Compléter pour toute entrée ou sortie "Autre"</span><br />
		
		<p class="right"><input class="button" type="reset" value="Annuler" onclick="javascript:history.go(-1);" />
		<input type="submit" name="submit" class="button" value="Enregistrer" /></p>
	</form>
	
</div>

<?php
include('bas.php'); ?>