<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
$title = 'Budget';
$solde_actu = 0; //solde initial  à taper ici sinon par défaut = 0;

//si on a mis à jour une cotisation 
if(isset($_GET['update'])) $message = '<p class="succes">La date de cotisation a été mise à jour. Le membre a été activé.</p>'; else $message = '';

// si on a un get id_op on peut supprimer cette opération
if(isset($_GET['id_op'])) {
	$id_op = $_GET['id_op'];
	$id_cat = $_GET['id_cat'];
	$id_membre = $_GET['id_membre'];
	//si c'est une cotisation qu'on doit annuler, on revient à la date antérieure et on désactive le membre
	if($id_cat == 1) {
		//on doit vérifier si c'était un nouveau membre ou pas
		$sql = "SELECT YEAR(date_inscription) as year_inscription, YEAR(date_cotisation) as year_cotisation FROM gs_membres WHERE id_membre = $id_membre";
		$query = mysqli_query($con,$sql) or die(mysqli_error($con));
		$row = mysqli_fetch_array($query);
		if($row['year_inscription'] == $row['year_cotisation']) 
		$sql = "UPDATE gs_membres SET date_cotisation = 0 WHERE id_membre = $id_membre";
		else $sql = "UPDATE gs_membres SET date_cotisation = SUBDATE(date_cotisation, INTERVAL 1 YEAR) WHERE id_membre = $id_membre";
		
		$update = mysqli_query($con,$sql) or die(mysqli_error($con));
		if($update) $message = '<p class="succes">L\'ancienne date de cotisation a été rétablie.
		<br />Vous devrez éventuellement désactiver le membre via son profil s\'il n\'est plus en droit.</p>';
		else $message = '<p class="erreur">Un problème s\'est produit. Veuillez réessayer plus tard.</p>';
	}
	$sql = "DELETE FROM gs_budget WHERE id = $id_op";
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	$_GET = array();
}
	
$annee_get = date('Y',time()) ;
if (isset($_GET['annee'])) {
  $annee_get = (int) $_GET['annee'] ;
}

//on prépare la liste de sélection des années en faisant la somme des opérations par année
$sql = "SELECT YEAR(date) as year ,SUM(montant) as result     
FROM gs_budget 
GROUP BY year
ORDER BY year DESC" ;
$result_years = mysqli_query($con,$sql) or die(mysqli_error($con));
$nb = mysqli_num_rows($result_years);
	if($nb == 0) $nodata = '<p>Pas encore de données<br />Le cas échéant tapez votre solde actuel ($solde_actu) dans le fichier budget.php (par défaut 0)</p>'; //on vient d'installer, il n'y a pas de données
	else {
		$nodata = "";
		$affichage_annees = "" ;
		$annee_ok = 0 ;

		while($row = mysqli_fetch_array($result_years)) {
		  $selected = '' ;
		  if ($row['year'] == $annee_get) {
			$selected = ' selected="selected"' ;
			$annee_ok = $annee_get ;
			$result_year = $row['result'];
			}
		  $affichage_annees .= '<option value="' . $row['year'] . '"' . $selected . '>' . $row['year'] . '</option>
		  ' ;
		  $solde_actu += $row['result'];
		}

		//on sélectionne toutes les opérations
		$sql = "SELECT b.id as id_op, b.date, b.id_cat, b.type, b.id_membre, b.note, b.montant, c.nom, m.prenom  
		FROM gs_budget as b, gs_budget_cat as c, gs_membres as m 
		WHERE c.id = b.id_cat AND YEAR(b.date) = $annee_ok AND m.id_membre = b.id_membre 
		ORDER BY date DESC, b.id DESC";
		$query = mysqli_query($con,$sql) or die(mysqli_error($con));
		$nb = mysqli_num_rows($query);
		if($nb == 0){
			$annee_prec = $annee_get - 1;
			header("Location:?annee=$annee_prec");
			}
	}
include('haut.php');
?>
<?php echo $message;?>	
<div class="top"><p><?php if(($_SESSION['droit']) && $_SESSION['num'] == 0) echo '<span class="floatright"><a href="budget-ajouter.php">Ajouter</a></span>';?>
<?php echo $title;?></p></div>
<div class="inner">
	<?php if($nodata) echo $nodata; else {?>
	<div class="floatright">
    <form name="select_year" action="" method="get" id="select_year">
    année : 
	<select name="annee" onchange="document.getElementById('select_year').submit()">
		<?php echo $affichage_annees ; ?>
	</select>
    </form>
	</div>
	<p>Solde actuel : <span class="nb"><?php echo $solde_actu;?> €</span><br />
	Résultat pour l'année <?php echo $annee_ok;?> : <span class="nb"><?php echo $result_year;?> €</span> | <a href="compta.php?year=<?php echo $annee_ok;?>">Voir les entrées-sorties par type</a></p>	
	<br />
	<table class="membre">
			<tr>
				<th class="first">Date</th>
				<th>Entrées</th>
				<th>Sorties</th>
				<th>Communication</th>
				<th class="last" colspan="2">Euros</th>
				
			</tr>

			<?php while($row = mysqli_fetch_array($query)){ $date = $row['date'];?>
			<tr>
				<td><?php echo date("d-m", strtotime("$date"));?></td>
				
				<?php if($row['type'] == 'E') {echo '<td>'.$row['nom'].' '.$row['id_membre'].'-'.$row['prenom'].'</td><td></td>';}
				elseif($row['type'] == 'S') {echo '<td></td><td class="nowrap">'.$row['nom']; if($row['id_membre'] != 0) echo ' '.$row['id_membre'].'-'.$row['prenom']; echo '</td>';}?>
				
				<td><?php echo $row['note'];?></td>
				<td class="last"><?php echo $row['montant'];?></td>
				<?php if($_SESSION['droit']){ ?>
				<td class="last">
				<a href="?id_op=<?php echo $row['id_op'];?>&amp;id_cat=<?php echo $row['id_cat'];?>&amp;id_membre=<?php echo $row['id_membre'];?>" onclick="return window.confirm('La suppression est irréversible, supprimer cette opération ?')"><img src="img/delete.gif" title="Supprimer" /></a>
				</td>
				<?php }?>
			</tr>
			<?php } ?>
	</table>
	<?php } ?>
</div>

<?php include('bas.php'); ?>