<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
$title = 'Liste des catégories et rubriques';

//affichage des catégories de services	
	
	$sql = "SELECT c.id_cat as id_cat, c.nom as nom_cat, c.actif as actif_cat, r.id_rub as id_rub, r.nom as nom_rub, r.actif as actif_rub
			FROM  gs_cat_services as c
			LEFT JOIN gs_rub_services as r
			ON c.id_cat = r.id_cat 
			ORDER by c.id_cat, r.id_rub" ;
	$result = mysqli_query($con,$sql) or die(mysqli_error($con));
	$lastcat = '' ;
	$affichage = '';
	while ($row = mysqli_fetch_array($result)) {
		// si la catégorie est la meme que la précédente on affiche uniquement la rubrique sinon on affiche la catégorie
		if ($lastcat != $row['id_cat']) {
			$lastcat = $row['id_cat'] ;
			$titre_cat = $row['nom_cat'] ;
			$id_cat = $row['id_cat'] ;
			
			$affichage .= '<p class="titre-cat">'.$id_cat.' - '.$titre_cat.'</p>';
						
		}
		// si c'est une catégorie sans rubrique il n'y a pas de valeur pour ces champs, donc en n'affiche pas de rubrique.
		if (isset($row['nom_rub']) && $row['actif_rub'] == 1) {
			$titre_rub = $row['nom_rub'] ;
			$id_rub = $row['id_rub'] ;
			
			$affichage .= '<p class="titre-rub">'.$id_rub.' - '.$titre_rub.'</p>';
			
		}
	}
?>
<!DOCTYPE html>
<html lang="fr">
<head>
	<meta charset="UTF-8">
	<meta name="robots" content="none,noarchive">
	<title><?php echo $title; ?></title>
	<link rel="stylesheet" type="text/css" href="style.css">
 
<style type="text/css">
	body{background:none;}
	#container{border:none;}
</style>
</head>
<body>
<div id="container">
	<h3><?php echo $title;?></h3>
	<?php echo $affichage ?>
	
	<p><a href="javascript:window.print()"><img src="img/print.gif" /> Imprimer la page</a></p>
</div><!--fin de container-->
</body>
</html>