<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
$title = 'Statistiques des échanges';
if(!empty($_GET['year'])) $year = $_GET['year'];
else $year = date('Y',time()) ;

//on compte le nombre total d'échanges de l'année
$sql = "SELECT * FROM gs_transferts WHERE YEAR(date) = $year";
$result = mysqli_query($con,$sql) or die(mysqli_error($con));
$nb = mysqli_num_rows($result);

//on compte le nombre d'échanges par catégorie
$sql = "SELECT c.id_cat, c.nom, count(*) as count FROM `gs_transferts` as t, gs_cat_services as c WHERE t.id_cat = c.id_cat AND YEAR(date) = $year GROUP BY t.id_cat ORDER BY c.id_cat";
$result_cat = mysqli_query($con,$sql) or die(mysqli_error($con));

include('haut.php');
?>
<div class="top"><p><?php echo $title.' pour '.$year;?></p></div>
<div class="inner pad">

	<p><span class="nb"><?php echo $nb;?></span> échanges en <?php echo $year;?></p>

	<table class="stats">
			<tr>
				<th>Catégorie</th>
				<th class="last">Nombre</th>
				<th class="last">Pourcentage</th>
			</tr>
			<?php
			while($data = mysqli_fetch_array($result_cat))
			{
				extract($data);
				if($id_cat != 0) $nom = $id_cat.' - '.$nom;
				echo '<tr><td>'.$nom.'</td><td class="last">'.$count.'</td><td class="last">'.number_format($count*100/$nb, 0).'</td></tr>';
			
			} ?>
	</table>

</div>
<div id="retour">
	<input type="button" class="button" value="Retour" onclick="javascript:history.go(-1);"/>
</div>

<?php include('bas.php'); ?>