<!DOCTYPE html>
<html lang="fr">
<head>
	<meta charset="UTF-8">
	<meta name="robots" content="none,noarchive">
	<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE9" />
	<title><?php echo $title; ?></title>
	<link rel="stylesheet" type="text/css" href="style.css">
	<link rel="stylesheet" type="text/css" href="style2.css"><!--mettre ici les personnalisations du style-->
	<?php if(basename($_SERVER['PHP_SELF']) == 'profil.php'){?>
	<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false"></script>
	<script type="text/javascript" src="js/map.js"></script>
	<?php } ?>
	
	<script type="text/javascript" src="js/fonctions.js"></script>
	<script type="text/javascript" src="js/jquery-1.6.1.js"></script>
	<script type="text/javascript" src="fullsize/jquery.fullsize.js"></script>
	<link href="fullsize/fullsize.css" rel="stylesheet" type="text/css">
<script type="text/javascript">
$(function(){ 
	$("img").fullsize();
});
</script>
    	
</head>
<body onload="testTailleDiv()">
<div id="container">
	<div id="header">
		<h1 id="site-title"><a href="<?php echo $cfg['site'] ?>" title="Site public"><?php echo $cfg['nomdusel'] ?></a></h1>
		<div id="site-description"><?php echo $cfg['community'] ?></div>
	</div>

	<div id="left">
		<div id="menu-membre">
	
			<h3 class="first-menu"><a href="accueil.php">Accueil</a></h3>
			<!--<h3><a class="mon" href="profil.php">Mon profil</a></h3>
			<h3><a class="mon" href="annonces-membre.php">Mes annonces</a></h3>
			<h3><a class="mon" href="mes-echanges.php">Mes échanges</a></h3>
			<h3><a href="membres.php">Les membres</a></h3>
			<h3><a href="annonces.php">Les annonces</a></h3>-->	
			<h3><a href="echanges.php">Echanges</a></h3>
		
			<h3><a href="budget.php">Budget</a></h3>
		
			<!--<h3><a href="news.php">News</a></h3>-->
			<h3><a href="newsletter.php">News</a></h3>
			<?php //Menu des pages  éditables existantes
			$strSQL = "SELECT id, nom FROM gs_pages WHERE id != 1 AND actif = 1 AND admin = 0";
			$query_lien = mysqli_query($con,$strSQL) or die(mysqli_error($con));
			while($lien_menu = mysqli_fetch_array($query_lien))
			 
			echo '<h3><a href="page.php?id='.$lien_menu['id'].'">'.$lien_menu['nom'].'</a></h3>'; ?>
			<h3><a href="map-membres.php">Sur la carte...</a>
			<h3 class="last-menu"><a href="logout.php">Déconnexion</a></h3>
		</div>
	
		<?php if($_SESSION['admin'] == 1) {
			if($_SERVER['QUERY_STRING']) $param = $_SERVER['QUERY_STRING'].'&amp;'; else $param = '';
			if(!$_SESSION['droit']){ 
				echo '<div class="center"><a href="?'.$param.'droit=on"><img src="img/cle.gif" alt="" title="Passer en mode admin" /></a></div>';
			}
			else {?>
			<div id="menu-admin">
				<h3 class="first-menu">Menu admin</h3>
			
				<h3><a href="adm-membres.php">Membres</a></h3>
				<h3><a href="adm-gestion-annonces.php">Annonces</a></h3>
				<h3><a href="adm-echanges.php">Echanges</a></h3>
				<h3><a href="quicknews-modifier.php?id=new">Quicknews</a></h3>
				<h3><a href="budget.php">Budget</a></h3>
				<h3><a href="param.php">Paramètres</a></h3>
				<?php //Menu des pages  éditables existantes réservées admin
				$strSQL = "SELECT id, nom FROM gs_pages WHERE id != 1 AND actif = 1 AND admin = 1";
				$query_lien = mysqli_query($con,$strSQL) or die(mysqli_error($con));
				while($lien_menu = mysqli_fetch_array($query_lien))

					echo '<h3><a href="page.php?id='.$lien_menu['id'].'">'.$lien_menu['nom'].'</a></h3>'; ?>
			
				<h3 class="last-menu"><a href="accueil.php?droit=off">Quitter mode admin</a></h3>
			</div>
		<?php }
		} ?>
	<?php if(basename($_SERVER['PHP_SELF']) == 'accueil.php') include('stats.php');?>
	<?php include('inc/connectes.php'); ?>
</div>

<div id="right">
	
	<div class="top"><p>Accès rapide<span class="floatright"><?php echo $_SESSION['prenom']; if($_SESSION['droit']) echo ' <img src="img/btn_ok.png" title="Mode admin" />';?></span></p></div>
	<div class="inner">		
			<ul class="acces">
				<li><a href="profil.php"><img src="img/profil.png" alt="" /></a><br />Mon profil<br />Mes annonces</li>
				<!--<li><a href="chercher-annonce.php"><img src="img/chercher.png" alt="" /></a><br />Chercher une annonce</li>
				
				<li><a href="annonces.php?type=services_demande"><img src="img/demandes.png" alt="" /></a><br />Les demandes</li>
				<li><a href="annonces-last.php"><img src="img/new.png" alt="" /></a><br />Dernières annonces</li>
				<li><a href="membres-last.php"><img src="img/newmember.png" alt="" /></a><br />Nouveaux membres</li>-->
				<li><a href="offres.php"><img src="img/chercher.png" alt="" /></a><br />Les offres permanentes</li>
				<li><a href="offres-last.php"><img src="img/new.png" alt="" /></a><br />Offres récentes</li>
				<li><a href="ptannonces.php"><img src="img/annonce.png" alt="" /></a><br />Les petites annonces</li>
				<li><a href="membres.php"><img src="img/contacts.png" alt="" /></a><br />Les membres</li>
				<li><a href="transactions.php"><img src="img/payer.png" alt="" /></a><br />Transférer des <?php echo $cfg['monnaie'];?></li>
				<li><a href="offre-ajout.php"><img src="img/ajouter.png" alt="" /></a><br />Ajouter une offre</li>
			</ul>			
	</div>
	