<?php
session_start();
require ('bd_conn.php');
$nomdusel = $cfg['nomdusel'];
$title = 'Liste des offres de services du '.$nomdusel;

// requete SQL, liste les offres et leur ajoute les infos du membre, la catégorie et la rubrique
$sql = "SELECT a.id_annonce,a.id_membre, a.titre, a.id_rub, a.actif, a.id_cat, a.description, a.date, r.nom as rub_nom, c.nom as cat_nom, m.prenom, m.commune
FROM gs_services_offres as a, gs_rub_services as r, gs_cat_services as c, gs_membres as m
WHERE m.actif = 1 AND m.id_membre = a.id_membre AND r.id_rub = a.id_rub AND c.id_cat = a.id_cat AND a.actif = 1 
ORDER BY c.id_cat, r.id_rub, a.date DESC" ;
/*$result = mysql_query($query) or die("Impossible de sélectionner dans la base de données : ".mysql_error());*/
$query = mysqli_query($con,$sql) or die(mysqli_error($con));
$num_result = mysqli_num_rows($query) ;
//requete pour compter les membres actifs
$sql2 = "SELECT * FROM gs_membres WHERE actif = 1";
/*$result2 = mysql_query($query2) or die("Impossible de sélectionner dans la base de données : ".mysql_error());*/
$query2 = mysqli_query($con,$sql2) or die(mysqli_error($con));
$num_result2 = mysqli_num_rows($query2) ;
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="robots" content="none,noarchive" />
	<title><?php echo $title; ?></title>
	
 
<style type="text/css">
	
	#container{width: 90%; margin: auto;}
	p.titre-cat{border-top: 1px dashed; border-bottom: 1px dashed;margin: 2px 0;font-weight: bold;font-size: 1.1em;}
	p.titre-rub{font-weight: bold;margin: 0; }
	p.titre-annonce{color: black; font-weight:normal; padding-left: 50px;margin: 0;}
</style>
</head>
<body>
<div id="container">
	<h3><?php echo $title.' : '.$num_result.' offres pour '.$num_result2.' membres actifs' ; ?></h3>
<a name="top"></a>
	
	<?php
  
  $tRub = "" ;
  $tCat = "" ;
  while( $row = mysqli_fetch_array($query) ) {
    
	// affichage de la catégorie
    if ($tCat != $row['cat_nom']) {
      $tCat = $row['cat_nom'] ;
      $id_cat = $row['id_cat'] ;
	  $tRub = "" ;
      echo '<p class="titre-cat">'.$id_cat.' - '.$tCat.'</p>' ;
    }
    // affichage des rubriques
    if ($tRub != $row['rub_nom']) {
      $id_rub = $row['id_rub'];
	  $tRub = $row['rub_nom'] ;
      echo '<p class="titre-rub">'.$id_rub.' - '.$tRub.'</p>' ;
    }
	
    // affichage des annonces
    echo '<p class="titre-annonce">&#149; '.strip_tags($row['titre']).' - '.$row['id_membre'].'</p>' ;
  }
 
   ?>
  
<p><input type="button" class="button" value="Haut" onclick="scrollTo(0,0)" /></p>
<p><a href="javascript:window.print()"><img src="img/print.gif" /> Imprimer la page</a></p>
		
</div><!--fin de container-->
</body>
</html>

