<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
//par défaut c'est le profil du propriétaire, si GET c'est le profil d'un autre ou on vient d'ailleurs
if(isset($_GET['id_membre'])) $id_membre=$_GET['id_membre'];
else $id_membre = $_SESSION['num'];
//si on est propriétaire ou si on est admin on a le droit de modification et ajout
if($id_membre == $_SESSION['num']) $self = true;
if($self || $_SESSION['droit']) $droit = true;

//on sélectionne les données du membre concerné 
	$sql_memb = "SELECT * FROM gs_membres WHERE id_membre = $id_membre";
	$query_memb = mysqli_query($con,$sql_memb) or die(mysqli_error($con));
	$memb = mysqli_fetch_array($query_memb);
	if($memb) extract($memb);
	
// $localisation = pour avoir adresse complète à afficher et lat lng
	$sql_geo = "SELECT lat, lng, rue, cp AS cp_geo, commune AS commune_geo FROM gs_geocoord WHERE num = $id_membre";
	$query_geo = mysqli_query($con,$sql_geo) or die(mysqli_error($con));
	$geo = mysqli_fetch_array($query_geo);
	if($geo) extract($geo);
	$localisation = addslashes($rue.' '.$cp_geo.' '.$commune_geo);
	
if($self) $title = 'Mon profil'; else $title = 'Profil de '.$prenom ;

include('haut.php');
if(!$memb) echo '<p class="erreur">Ce numéro de membre n\'existe pas</p>';
elseif(!$actif && !$_SESSION['droit']) echo '<p class="erreur">Ce membre est désactivé.</p>';
else {
 ?>

	<div class="top"><p>
	<?php if($droit) echo '<span class="floatright"><a href="update-profil.php?id_membre='.$id_membre.'">Modifier</a></span>';
	echo $title ;?></p></div>
	<div class="inner">
				
				<div id="pres">
				<p class="avatar"><?php $f = 'photos/perso'.$id_membre.'.jpg'; if(file_exists($f)) echo
				'<img src="'.$f.'" alt="photo perso" />'; else echo '<img src="photos/noavatar.jpg" alt="noavatar" />';?>
				</p>
				<?php echo nl2br(strip_tags($presentation,'<a><b><i>'));?>
                <img id="btn" title="Voir plus" src="img/s_desc.png" onclick="etire('pres');"/>
				</div>
				<hr />
				<?php if(!$actif && $_SESSION['droit']) echo '<p class="red"><img src="img/exclamation.png" alt="" /> Membre désactivé le '.date("d-m-Y", strtotime("$date_desactivation")).'</p>';?>
				<label>Numéro</label><?php echo $id_membre;?><br />
				<label>Prénom</label><?php echo $prenom;?><br />
				<label>Nom</label><?php echo $nom;?><br />
				
				<label>Adresse</label><?php echo $adresse.' - '.$cp.' '.$commune;?><br />
				
				<label>Téléphone</label><?php echo $tel;?><br />
				<label>GSM</label><?php echo $gsm;?><br />
				<label>Pseudo Skype</label><?php echo $skype;?><br />
				<label>Email</label><a href="mailto:<?php echo $email;?>"><?php echo $email;?></a><br />
				<?php if(!empty($memb['siteweb'])){
				echo '<label>Site Web</label><a target="_blank" href="'.$siteweb.'">'.substr($siteweb,7).'</a><br />';}?>		
				<label>Date cotisation</label><?php if($date_cotisation == '' || $date_cotisation == 0) echo 'néant'; else echo date("d-m-Y", strtotime("$date_cotisation"));?><br />
				<label>Date inscription</label><?php echo date("d-m-Y", strtotime("$date_inscription"));?><br />
				
				<hr />
				
				
				  <p class="right">
					<input class="button" type="button" onclick="montre('bloc1');" value="<?php if($self) echo 'Mes'; else echo 'Ses';?> annonces" />&nbsp;
					<input class="button" type="button" onclick="montre('bloc2');" value="<?php if($self) echo 'Mes'; else echo 'Ses';?> échanges" />&nbsp;
                    <input class="button" type="button" onClick="montre('bloc3');afficherPoint(<?=$lat ?>,<?=$lng ?>);" value="Localisation" /> 
				  </p>
				
		
	</div>

<div id="bloc1" style="display:none">	
	
	<?php include('profil-annonces.php');?>

</div>

<div id="bloc2" style="display:none">
  
	<?php include('profil-echanges.php');?>
  
</div>
	
<div id="bloc3" style="display:none">
  <div class="top"><p>Localisation de <?php echo $prenom. ' : '.stripslashes($localisation);?></p></div>
  <div class="inner">
	<div id="map">
	</div>
  </div>
</div>  

<?php } if(isset($_GET['id_membre'])) { 
	if($memb){ $m= $id_membre;?>
	
	<div id="retour">
		<?php
		$sql1 = "SELECT MIN(id_membre) as suiv FROM gs_membres WHERE id_membre > $m AND actif=1";
		$result1 = mysqli_query($con,$sql1) or die(mysqli_error($con));
		$row1 = mysqli_fetch_array($result1);
		$s=$row1['suiv'];
	
		if($s){ ?>
			<span class="floatright"><a class="button" href="?id_membre=<?php echo $s;?>">Suivant</a></span>
		<?php }
	  	$sql2 = "SELECT MAX(id_membre) as prec FROM gs_membres WHERE id_membre < $m AND actif=1";
		$result2 = mysqli_query($con,$sql2) or die(mysqli_error($con));
		$row2 = mysqli_fetch_array($result2);
		$p=$row2['prec'];
	
		if($p){ ?>
			<span class="floatright"><a class="button" href="?id_membre=<?php echo $p;?>">Précédent</a></span>
		<?php }
	  } ?>
		
		<?php if($_SESSION['droit']){?>
		<input type="button" class="button" value="Liste" onclick="window.location='adm-membres.php'" />
		<?php } else{ ?>
		<input type="button" class="button" value="Liste" onclick="window.location='membres.php'" />
		<?php } ?>
	</div>
<?php } ?>

<?php 
include('bas.php'); ?>
