<div class="top">
	<p>
		<?php if($self) echo 'Mes échanges'; else echo 'Les échanges de '.$memb['prenom'];?>
	</p>
</div>
<div class="inner">
	<?php
	//version limitée aux échanges datant de l'année en cours
	//on a besoin du solde initial du membre
	$strSQL = "SELECT solde_ini FROM gs_membres WHERE id_membre = $id_membre" ;
	$query_solde = mysqli_query($con,$strSQL) or die("Impossible de sélectionner dans la base de données : ".mysqli_error($con));
	$row = mysqli_fetch_array($query_solde);
	$solde_ini = $row['solde_ini'];
	
	//on sélectionne les échanges du membre
	$strSQL = "SELECT t.id_cat, t.donneur, t.beneficiaire, t.unites, t.date, t.message, c.nom as cat_nom, m.prenom     
	FROM gs_transferts as t, gs_cat_services as c, gs_membres as m 
	WHERE (t.donneur = $id_membre AND c.id_cat = t.id_cat AND m.id_membre = t.beneficiaire AND t.date <= NOW()) 
	OR (t.beneficiaire = $id_membre AND c.id_cat = t.id_cat AND m.id_membre = t.donneur AND t.date <= NOW())  
	ORDER BY t.date DESC, t.id_transfert DESC" ;
	$query = mysqli_query($con,$strSQL) or die("Impossible de sélectionner dans la base de données : ".mysqli_error($con));
	$nb = mysqli_num_rows($query);
	
	if($nb==0) $solde = $solde_ini;
	$soldepos = ''; $soldeneg = '';
	while ($data = mysqli_fetch_object($query))
	{ 
		if($data->donneur == $id_membre) 
		{
			$trans[] = array($data->date,$data->beneficiaire,$data->prenom,$data->cat_nom,$data->message,-$data->unites, $data->id_cat);
			$soldeneg-=$data->unites;
		}
		else
		{
			$trans[] = array($data->date,$data->donneur,$data->prenom,$data->cat_nom,$data->message,$data->unites, $data->id_cat);
			$soldepos+=$data->unites;
		}
	}
	$jref = 0; //366jrs avant la date du jour = time() - 31622400
	?>
	<?php 
	if($nb > 0) 
	{?>
		<p>
			<span class="nb"><?php echo $nb;?></span> échanges<br />
			Solde actuel <?php echo $cfg['monnaie'];?> : <span class="nb"><?php echo $solde_ini + $soldeneg + $soldepos;?></span><br />
			<span class="nb">Ratio : <?php if($soldeneg == 0 or $soldepos == 0) echo 'non calculable'; 
			else echo abs(number_format($soldepos/$soldeneg, 2)); ?>
			</span>
			<a class="aide"><img src="img/help.gif" alt="Aide" />
			<span class="aide">Ce nombre représente le rapport entre ce qui est donné et ce qui est reçu. 
			L'idéal est qu'il soit proche de 1.</span></a>
		</p>
	
		<table class="membre">
			<tr>
				<th>Date</th>
				<th>De / A</th>			
				<th class="msg">Service</th>
				<th class="last"><?php echo $cfg['monnaie'];?></th>
				
			</tr>
		
			<?php 
			foreach ($trans as $t) 
			{ 
				//afin de n'afficher que les échanges datant d'un an au plus
				$datref = strtotime("$t[0]");
				if($datref > $jref) 
				{
				?>
					<tr>
						<td><?php echo date("d-m-Y", strtotime("$t[0]"));?></td>
						<td><?php echo '<a href="profil.php?id_membre='.$t[1].'">'.$t[1].'-'.$t[2].'</a>';?></td>
						<!-- on affiche le message quand il s'agit du compte 0 -->
						<td><?php if($t[6] == 0 AND $t[4]) echo '0-'.$t[4]; else echo $t[3];?></td>
						<td class="last"><?php echo $t[5];?></td>
					</tr>
					<?php
				}
			} 
			if($solde_ini) 
			{?>
				<tr class="solde_ini">
					<td colspan="2">&nbsp;</td>
					<td><span class="nb">Solde reporté</span></td>
					<td class="last"><span class="nb"><?php echo $solde_ini;?></span></td>
				</tr>
				<?php 
			} ?>
		</table>
		<?php
	} else echo '<p>Pas encore d\'échange</p>' ?>
</div>
