<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
//par défaut c'est le profil du propriétaire, si GET c'est le profil d'un autre ou on vient d'ailleurs
if(isset($_GET['id_membre'])) $id_membre=$_GET['id_membre'];
else $id_membre = $_SESSION['num'];
//si on est propriétaire ou si on est admin on a le droit de modification et ajout
if($id_membre == $_SESSION['num']) $self = true; else $self = false; //il faut mettre le else !
if($self || $_SESSION['droit']) $droit = true; else $droit = false;

//on sélectionne les données du membre concerné 
$strSQL = "SELECT * FROM gs_membres WHERE id_membre = $id_membre";
$query_memb = mysqli_query($con,$strSQL) or die(mysqli_error($con));
$memb = mysqli_fetch_array($query_memb);

$date_cotisation = $memb['date_cotisation'];
$date_inscription = $memb['date_inscription'];
$date_desactivation = $memb['date_desactivation'];

// $localisation = pour avoir adresse complète à afficher
$localisation = addslashes($memb['adresse']. ' '.$memb['cp']);

if($self) $title = 'Mon profil'; else $title = 'Profil de '.$memb['prenom'];

include('haut.php');
if(!$memb) echo '<p class="erreur">Ce numéro de membre n\'existe pas</p>';
elseif(!$memb['actif'] && !$_SESSION['droit']) echo '<p class="erreur">Ce membre est désactivé.</p>';
else 
{ ?>
	<div class="top"><p>
		<?php if($droit) echo '<span class="floatright"><a href="update-profil.php?id_membre='.$id_membre.'">Modifier</a></span>';
		echo $title ;?></p>
	</div>
	<div class="inner">
		<div id="pres">
			<p class="avatar"><?php $f = 'photos/perso'.$id_membre.'.jpg'; if(file_exists($f)) echo
			'<img src="'.$f.'" alt="photo perso" />'; else echo '<img src="photos/noavatar.jpg" alt="noavatar" />';?>
			</p>
			<?php echo nl2br(strip_tags($memb['presentation'],'<a><b><i>'));?>
			<img id="btn" title="Voir plus" src="img/s_desc.png" onclick="etire('pres');"/>
		</div>
		<hr />
			<?php if(!$memb['actif'] && $_SESSION['droit']) echo '<p class="red"><img src="img/exclamation.png" alt="" /> Membre désactivé le '.date("d-m-Y", strtotime("$date_desactivation")).'</p>';?>
			<label>Numéro</label><?php echo $memb['id_membre'];?><br />
			<label>Prénom</label><?php echo $memb['prenom'];?><br />
			<label>Nom</label><?php echo $memb['nom'];?><br />
			
			<label>Adresse</label><?php echo $memb['adresse'].' - '.$memb['cp'].' '.$memb['commune'];?><br />
			
			<label>Téléphone</label><?php echo $memb['tel'];?><br />
			<label>GSM</label><?php echo $memb['gsm'];?><br />
			<label>Pseudo Skype</label><?php echo $memb['skype'];?><br />
			<label>Email</label><a href="mailto:<?php echo $memb['email'];?>"><?php echo $memb['email'];?></a><br />
			<?php if(!empty($memb['siteweb'])){
			echo '<label>Site Web</label><a target="_blank" href="'.$memb['siteweb'].'">'.substr($memb['siteweb'],7).'</a><br />';}?>		
			<label>Date cotisation</label><?php if($date_cotisation == '' || $date_cotisation == 0) echo 'néant'; else echo date("d-m-Y", strtotime("$date_cotisation"));?><br />
			<label>Date inscription</label><?php echo date("d-m-Y", strtotime("$date_inscription"));?><br />
		<hr />
		<p class="right">
			<input class="button" type="button" onclick="montre('bloc1');" value="<?php if($self) echo 'Mes'; else echo 'Ses';?> annonces" />&nbsp;
			<input class="button" type="button" onclick="montre('bloc2');" value="<?php if($self) echo 'Mes'; else echo 'Ses';?> échanges" />&nbsp;
			<input class="button" type="button" onClick="montre('bloc3');afficherAdresse('<?php echo $localisation;?>');" value="Localisation" /> 
		</p>
	</div>
	<div id="bloc1" style="display:none">	
		<?php include('profil-annonces.php');?>
	</div>

	<div id="bloc2" style="display:none">
		<?php include('profil-echanges.php');?>
	</div>
	
	<div id="bloc3" style="display:none">
		<div class="top"><p>Localisation de <?php echo $memb['prenom']. ' : '.stripslashes($localisation);?></p></div>
		<div class="inner">
			<div id="map"></div>
		</div>
	</div>  

<?php } ?> 
<div id="retour">
	<?php if(isset($_GET['id_membre'])) {
		if($memb){
			$m = $_GET['id_membre'] ;
			$strSQL = "SELECT MIN(id_membre) as suiv FROM gs_membres WHERE id_membre > $m AND actif=1";
			$result1 = mysqli_query($con,$strSQL) or die("Impossible de sélectionner dans la base de données : ".mysqli_error($con));
			$row1 = mysqli_fetch_array($result1);
			$s=$row1['suiv'];
		
			if($s){ ?>
				<span class="floatright"><a class="button" href="?id_membre=<?php echo $s;?>">Suivant</a></span>
			<?php }
			$strSQL = "SELECT MAX(id_membre) as prec FROM gs_membres WHERE id_membre < $m AND actif=1";
			$result2 = mysqli_query($con,$strSQL) or die("Impossible de sélectionner dans la base de données : ".mysqli_error($con));
			$row2 = mysqli_fetch_array($result2);
			$p=$row2['prec'];
			if($p){ ?>
				<span class="floatright"><a class="button" href="?id_membre=<?php echo $p;?>">Précédent</a></span>
			<?php }
		}
		
		if($_SESSION['droit']){?>
		<input type="button" class="button" value="Liste" onclick="window.location='adm-membres.php'" />
		<?php } else{ ?>
		<input type="button" class="button" value="Liste" onclick="window.location='membres.php'" />
		<?php } ?>
</div>
<?php } 
include('bas.php'); ?>