<?php
require ('bd_conn.php');
require('newMP.php');
$title = 'Renvoi du mot de passe';

$strSQL = "SELECT * FROM gs_mailtype WHERE id = 6";
$query_mail = mysqli_query($con,$strSQL) or die("Erreur : ".mysqli_error($con));
$mail= mysqli_fetch_array($query_mail);
?>
<!DOCTYPE html>
<html lang="fr">
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="none,noarchive">
		<title><?php echo $title; ?></title>
		<link rel="stylesheet" type="text/css" href="style.css">
	</head>
	<body>
		<?php
		$datejour = date("d-m-Y");
		//message initial
		if(!isset($_POST['submit'])) {
			$message = 'Si vous avez oublié votre mot de passe, indiquez ici votre numéro de membre et votre adresse email.
			<br />Un nouveau mot de passe vous sera envoyé.
			<br />Si vous avez tout oublié, <a href="mailto:'.$cfg['email'].'">contactez un administrateur</a>';
		}else {
	
			if(isset($_POST['num']) && isset($_POST['email']) && $_POST['num'] != '' && $_POST['email'] != ''){
				$num = $_POST['num'];
				$email_post = $_POST['email'];
	
				//on récupère les données du membre
				$strSQL = "SELECT prenom, email FROM gs_membres WHERE id_membre = $num AND actif = 1";
				$query = mysqli_query($con,$strSQL) or die("Impossible de sélectionner dans la base de données : ".mysqli_error($con));
				$data = mysqli_fetch_array($query);
				$prenom = $data['prenom'];
				$email = $data['email'];
				$nb = mysqli_num_rows($query);

				//on fait les vérifications
				if($nb < 1) $message = 'Il n\'y a pas de membre actif pour ce numéro, si vous avez aussi oublié votre numéro de membre, <a href="mailto:'.$cfg['email'].'">contactez un administrateur</a>';
				elseif($email != $_POST['email']) $message = 'Le numéro de membre et/ou l\'adresse email ne correspond pas aux données du système, réessayer ou <a href="mailto:'.$cfg['email'].'">contactez un administrateur</a>';
				else{
					//on génère le mot de passe
					$newMP = genererChaine();
					$mp = md5($newMP);
	
					//on prépare le mail
					$headers ='From: "'.$cfg['nomdusel'].'"<'.$cfg['email'].'>'."\n";
					$headers .='Bcc: '.$cfg['bcc']."\n";
					$headers .='Reply-To: '.$cfg['email']."\n";
					$headers .='Content-Type: text/html; charset="UTF-8"'."\n";
					$headers .='Content-Transfer-Encoding: 8bit' ;
	
					$objet = '['.$cfg['nomdusel'].'] '.$mail['objet'];
	
					$contenu = '<html><head></head><body><div>';
					$contenu .= sprintf($mail['contenu'], $prenom, $datejour, $cfg['site'], $cfg['nomdusel'], $newMP);
					$contenu .= '</div></body></html>';
	
					//on envoie et on insère le nouveau mp si le mail est bien parti
					if(mail($email, $objet, $contenu, $headers)) 
					{
						// connexion mysqli en procedural
						$strSQL = "UPDATE gs_membres SET mp = '$mp' WHERE id_membre = $num";
						$query = mysqli_query($con,$strSQL) or die("Impossible d'insérer dans la base de données : ".mysqli_error($con));
						// fin mysqli
						if($query) $message = 'Le nouveau mot de passe a été envoyé à cette adresse : '.$email;
						else $message =  'Un problème s\'est produit, veuillez réessayer ou <a href="mailto:'.$cfg['email'].'">contactez un administrateur</a>';
					} else $message =  'Un problème s\'est produit, veuillez réessayer ou <a href="mailto:'.$cfg['email'].'">contactez un administrateur</a>';

				}

			} else $message = 'Vous devez entrer votre numéro de membre et votre adresse email';
		}

		//on affiche un form et le message en cours
		?>
		<div class="login">
			<h3 style="text-align:center"><?php echo $title;?></h3>
			<form id="renvoiMP" method="post" action="">
				<p>
					Numéro de membre : <br /><input type="text" name="num" /><br />
					Adresse email : <br /><input type="text" name="email" />
				</p>
				<p style="text-align:center">	
					<input type="submit" class="button" name="submit" value="Envoyer" />
				</p>
			</form>
		</div>
		<p class="center"><?php echo $message ?></p>
		<p class="center"><?php echo '<a href="'.$cfg['site'].'">'.$cfg['nomdusel'].'</a>' ?></p>

	</body>
</html>
