<?php
session_start();
require ('control-session-admin.php');
require ('bd_conn.php');
$title = 'Liste des membres';
$datejour = time();

//Tri sur statut du membre
$statut_get = 'actif';
if(!empty($_GET['statut'])) $statut_get = $_GET['statut'];
 
	$statut_possible = array('actif','inactif','admin','tous');
	if($statut_get == 'actif') { $where = 'actif=1'; $select = 'select=1';}
	elseif($statut_get == 'inactif') { $where = 'actif=0'; $select = 'select=0';}
	elseif($statut_get == 'admin') {$where = 'admin=1'; $select='select=admin';}
	elseif($statut_get == 'tous') {$where = 'actif=1 OR actif=0'; $select='select=tous';}
	
	$where_statut = in_array($statut_get,$statut_possible) ? $where : 'actif=1';
	$selected = 'selected="selected"';

// Tri sur colonne
$order_by = 'id_membre';
$tri_autorises = array('id_membre','prenom','nom','commune','solde');
if(!empty($_GET['order'])) { 
	$order_by = in_array($_GET['order'],$tri_autorises) ? $_GET['order'] : 'id_membre';
}
 
// Sens du tri
$order_dir = 'DESC' ;
if(!empty($_GET['dir'])){
    if ($_GET['dir'] == "ASC") $order_dir = 'ASC' ;
}

	// Préparation de la requête des membres
	$sql = "SELECT *, ADDDATE(date_cotisation, INTERVAL 1 YEAR) as echeance, (solde_ini + solde) as solde 
	FROM gs_membres 
	WHERE {$where_statut} 
	ORDER BY {$order_by} {$order_dir}";
	
	$result = mysqli_query($con,$sql) or die(mysqli_error($con));
	 
	// Notre fonction qui affiche les liens
	function sort_link($text, $order='id_membre') {
    global $order_by, $order_dir, $statut_get;
    $dir = "ASC" ;
    $second_class = "order_asc" ;
    if ($order_dir == "ASC" && $order == $order_by) {
      $dir = "DESC" ;
      $second_class = "order_desc" ;
    }
    $link = '<a href="?statut='.$statut_get.'&amp;order=' . $order . '&amp;dir=' . $dir . '" class="titre ' . $second_class . '">' . $text . '</a>
    ' ;
	    return $link;
	}
// Affichage
include('haut.php');
?>
<div class="top">
	<p><span class="floatright"><a href="rappels.php">Gestion des rappels</a> &nbsp; <a href="inscription.php">Inscription</a></span><?php echo $title;?></p>
</div>

<div class="inner">
	<div class="floatright">
		<form name="select_statut" action="" method="get" id="select_statut">
			<select name="statut" onchange="document.getElementById('select_statut').submit()">
				<option <?php if($statut_get == 'actif') echo $selected;?> value="actif">Membres actifs</option>
				<option <?php if($statut_get == 'inactif') echo $selected;?> value="inactif">Membres désactivés</option>
				<option <?php if($statut_get == 'admin') echo $selected;?> value="admin">Admin</option>
				<option <?php if($statut_get == 'tous') echo $selected;?> value="tous">Tous</option>
			</select>
		</form>
	</div>
	<p class="list"><a href="membres-print.php?<?php echo $select ?>"><img src="img/print.gif" /> Liste imprimable</a></p>
	
	<table class="membre">
	    <tr>
	        <th width="15"><?php echo sort_link('N°', 'id_membre');?></th>
	        <th><?php echo sort_link('Prenom', 'prenom');?></th>
			<th><?php echo sort_link('Nom', 'nom');?></th>
            <th>Tel</th>
			<th>GSM</th>
	        <th><?php echo sort_link('Commune', 'commune');?></th>
			<th><?php echo sort_link('Solde', 'solde');?></th>
	        <th class="last">Email</th>
			<th></th>
	    </tr>
		<?php while( $row = mysqli_fetch_assoc($result) ) : 
		if(!$row['actif']) $style = 'style="color:#6f2fa0"';
		elseif($row['admin']) $style = 'style="color:green"';
		else $style = '';
		
		if($row['date_cotisation'] == 0) {
			$timeinscrip = strtotime($row['date_inscription']);
			$jours = ceil(($datejour - $timeinscrip)/86400);
			$signe = '<img src="img/newM.png" title="Nouvelle adhésion : '.$jours.' jours" />';
		}else {
			$timeechu = strtotime($row['echeance']);
			if($datejour > $timeechu) {
				$jours = ceil(($datejour - $timeechu)/86400);
				$signe = '<img src="img/exclamation.png" title="Cotisation échue : '.$jours.' jours" />';
			
			}else $signe = '<img src="img/active.gif" title="En ordre" />';
		} 
		?>
	    <tr <?php echo $style;?> >
	        <td class="num"><a href="profil.php?id_membre=<?php echo $row['id_membre'] ?>"><?php echo $row['id_membre'];?></a>
	        <td><?php echo $row['prenom'];?></td>
			<td><?php echo $row['nom'];?></td>
	        <td><?php echo $row['tel'];?></td>
            <td><?php echo $row['gsm'];?></td>
			<td><?php echo $row['commune'];?></td>
			<td class="last"><?php echo $row['solde'];?></td>
            <td class="last"><?php if($row['email'] == '-' or $row['email'] == NULL or $row['email'] == '') echo ''; else echo '<a href="mailto:'.$row['email'].'"><img src="img/email.gif" alt="email" /></a>';?></td>
			<td><?php echo $signe;?></td>
	    </tr>
	<?php endwhile ?>
	</table>
</div>
	
<div id="retour">
	<span class="floatright"><input type="button" class="button" value="Haut" onclick="scrollTo(0,0)" /></span> 
</div>

<?php
include('bas.php'); ?>
