<?php
session_start();
require ('control-session-admin.php');
require ('bd_conn.php');
require('fonctions.php');
$title = 'Ajouter une offre permanente pour un membre';
if($_SESSION['droit']) $droit = TRUE;

extract(array_merge($_GET,$_POST));
//on liste les membres (actifs)
	$sql_memb = "SELECT id_membre, prenom FROM gs_membres WHERE actif=1";
	$query_memb = mysqli_query($con,$sql_memb) or die(mysqli_error($con));

// on liste les categories de services
	$sql_serv="SELECT * FROM gs_cat_services  WHERE actif=1 AND id_cat != 0 ORDER BY nom";
	$query_serv = mysqli_query($con,$sql_serv) or die(mysqli_error($con));

if($droit){
//si on supprime l'offre aussitôt
	if(!empty($del)){
		$sql = "DELETE FROM gs_services_offres WHERE id_annonce=$del";
		$query = mysqli_query($con,$sql) or die(mysqli_error($con));
		$f = 'photos/servoff'.$del.'.jpg';
		if(file_exists($f)) unlink($f);
		header("Location: adm-offre-ajout.php");
	}
}

if(!empty($submit)){ 
	if(empty($id_membre)) $erreur = 'Sélectionnez un membre';
	if(empty($liste_cat)) $erreur = 'Sélectionnez une catégorie'; 
	elseif(empty($liste_rub)) $erreur = 'Sélectionnez une rubrique. Pour ce faire re-sélectionnez une catégorie.'; 
	if(empty($titre)) $erreur = 'Il faut mettre un titre. De préférence aussi une description.'; 
	if(empty($description)) $erreur = 'Il faut mettre une description, des précisions ou les modalités de l\'offre.';//erreur on réaffiche
	
	if(empty($erreur)) {
		//on enregistre requête etc.
		$titre = mysqli_real_escape_string($con,trim($_POST['titre'])); //modifié pour mysqli
		$description = mysqli_real_escape_string($con,trim($_POST['description']));
		
		$sql = "INSERT INTO gs_services_offres (id_membre, titre, id_rub, actif, id_cat, description) 
		VALUES ('$id_membre','$titre','$liste_rub', 1, '$liste_cat','$description')";
		
		$query = mysqli_query($con,$sql) or die(mysqli_error($con));
		$id = mysqli_insert_id($con);

		if(!$query) { //si échec
			$erreur = 'L\'enregistrement a échoué. Veuillez réessayer plus tard.';
			$_POST = array();
			}
		elseif($query) { //si réussite
			$succes = '<span class="floatright">L\'annonce a été publiée</span>L\'enregistrement a réussi';
			$_POST = array();
			} 
	}
} //fin de submit
if(!empty($succes)){
	$row = select_offre_id($con,$id);
	extract($row);
	
	if($droit) {
	$bloc = '<p class="blocmodif">
	<a href="adm-upload-photo.php?id='.$id_annonce.'"><img src="img/icone_image1.png" title="Ajouter une photo" alt="Ajouter photo" /></a> ';
	$bloc .= ' <a href="adm-offre-modif.php?id='.$id_annonce.'"><img src="img/edit.gif" title="Modifier" alt="Modifier" /></a>';
	$bloc .= ' <a href="?del='.$id_annonce.'" onclick="return window.confirm(\'La suppression est irréversible, supprimer cette annonce ?\')"><img src="img/delete.gif" title="Supprimer" alt="Supprimer" /></a>';
	$bloc .= '</p>';
	}
		
	// affichage de l'annonce
	$affichage = '<p class="titre-cat-rub">'.$cat_nom.' - '.$rub_nom.'</p>
	<div class="offre">' .$bloc. '
	<p class="titre-annonce" id="id_'.$id_annonce.'">'.strip_tags($titre).'</p>
	<p class="text-annonce">' . nl2br(strip_tags($description,'<a><b><i>')) . '</p>
	<p class="small">Posté le '.date("d-m-Y", strtotime($date)).' - 
	<a href="profil.php?id_membre=' . $id_membre . '">' . $id_membre . '-' . $prenom . '</a>
     (' . $commune . ')</p></div>' ;
}
include('haut.php');
if($droit) {
	if(!empty($erreur)) echo '<p class="erreur">'.$erreur.'</p>';
	elseif(!empty($succes)) echo '<p class="succes">'.$succes.'</p>';
?>

<div class="top"><p><?php echo $title ; ?></p></div>

<div class="inner">
<?php 
if(!empty($succes)) { //on affiche l'annonce
	echo '<p class="info">Vous pouvez maintenant ajouter une photo <img src="img/icone_image1.png" /> 
	ou corriger l\'annonce <img src="img/edit.gif" /> si nécessaire</p>';
	echo $affichage;
	echo '<h3>Ajouter une nouvelle offre permanente <a href=""> 
	<img src="img/add.png" title="Ajouter une offre" /></a></h3>';
} else 
{  //on affiche le formulaire ?>

	<p class="list"><a href="categories-print.php" target="_blank"><img src="img/print.gif" /> Liste imprimable des catégories</a></p>
	
	<form name="form_selects" id="form_selects" action="" method="post" enctype="multipart/form-data">
		<label for="membre">Membre</label>
		<select name="id_membre" id="id_membre">
			<option value="">Choisir un membre</option>
			<?php
			while($memb = mysqli_fetch_array($query_memb)){
				if($_POST['id_membre'] == $memb['id_membre']) $selC = 'selected'; else $selC = '';
				
				echo '<option value="'.$memb['id_membre'].'" '.$selC.'>'.$memb['id_membre'].' - '.$memb['prenom'].'</option>';
			} ?>
		</select> <span class="rem">*</span>	
		<br />
		<label for="categorie">Catégorie</label>
		<select name="liste_cat" id="liste_cat" class="ButtonL"  onclick="request06(this.form)">		
			<option value="">Choisir une catégorie</option>
			<?php 
			while($serv = mysqli_fetch_array($query_serv)){
				if($_POST['liste_cat'] == $serv['id_cat']) $selC = 'selected'; else $selC = '';
				
				echo '<option value="'.$serv['id_cat'].'" '.$selC.'>'.$serv['nom'].'</option>';
			} ?>
		</select> <span class="rem">*</span>	
		<br />	 
		<label for="rubrique">Rubrique</label>						
		<select name="liste_rub" id="liste_rub" class="ButtonL">
			<option value="">Choisir une rubrique</option>
		</select> <span class="rem">*</span>
		<br />
		
		<label for="titre">Titre</label><input type="text" class="titre" id="titre" name="titre" value="<?php if(!empty($titre)) echo $titre ?>" /> <span class="rem">*</span><br />
		<label for="description">Description</label><textarea id="description" name="description"><?php if(!empty($description)) echo $description ?></textarea> <span class="rem">*</span><br />
		
		<p><span class="floatright"><input type="submit" class="button" name="submit" value="Enregistrer" /></span>
		<input type="reset" class="button" value="Annuler" onclick="javascript:history.go(-1);" /></p>
	</form>
</div>

<?php
} //fin de formulaire
} //fin de droit
else echo '<p class="erreur">Vous n\'avez pas le droit d\'ajouter une annonce pour un autre membre.</p>
  <div id="retour"><input type="button" class="button" value="Retour" onclick="javascript:history.go(-1);"/></div>';
include('bas.php');?>