<?php
session_start();
require ('control-session-admin.php');
require ('bd_conn.php');

$title = 'Les offres permanentes'; $affichage = '';
extract(array_merge($_GET,$_POST));

if(!empty($del)){
	$sql = "DELETE FROM gs_services_offres WHERE id_annonce=$del";
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	$f = 'photos/servoff'.$del.'.jpg';
	if(file_exists($f)) unlink($f);
	header("Location: adm-offres-control.php");
	}
	
if(!empty($activ)){
	$sql = "UPDATE gs_services_offres SET actif = 1 WHERE id_annonce=$activ";
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	header("Location: adm-offres-control.php");
	}
	
if(!empty($desact)){
	$sql = "UPDATE gs_services_offres SET actif = 0 WHERE id_annonce=$desact";
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	header("Location: adm-offres-control.php");
	}

$sql = "SELECT *, a.actif, r.nom as rub_nom, c.nom as cat_nom, m.prenom, m.commune, m.email, m.actif as membre_actif 
	FROM gs_services_offres as a, gs_rub_services as r, gs_cat_services as c, gs_membres as m
	WHERE m.id_membre = a.id_membre AND r.id_rub = a.id_rub AND c.id_cat = a.id_cat 
	ORDER BY a.id_annonce DESC" ;
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	
	while( $row = mysqli_fetch_array($query) ) {
		extract($row);
		
		//si il y a une photo
		$f = 'photos/servoff'.$id_annonce.'.jpg';
		if(file_exists($f)) $img = '<p class="photo"><img src="'.$f.'" alt="img'.$id_annonce.'" title="" longdesc="'.$f.'" /></p>';
		else $img = '';
		
		//blocmodif
		$bloc = '<p class="blocmodif">';
		$bloc .= '<a href="adm-upload-photo.php?id='.$id_annonce.'"><img src="img/icone_image1.png" title="Ajouter une photo" alt="Ajouter photo" /></a>';
		$bloc .= ' <a href="adm-offre-modif.php?id='.$id_annonce.'"><img src="img/edit.gif" title="Modifier" alt="Modifier" /></a> ';
		if($actif == 0) $bloc .= '<a href="?activ='.$id_annonce.'"><img src="img/inactive.gif" alt="Activer" title="Activer" /></a>';
		else $bloc .= '<a href="?desact='.$id_annonce.'"><img src="img/active.gif" alt="Désactiver" title="Désactiver" /></a>';
		$bloc .= ' <a href="?del='.$id_annonce.'" onclick="return window.confirm(\'La suppression est irréversible, supprimer cette annonce ?\')"><img src="img/delete.gif" title="Supprimer" alt="Supprimer" /></a>';
		$bloc .= '</p>';
		
		$titre = strip_tags($titre);
		
		//si pas d'email on n'affiche pas de mailto
		if(!$email) $email = '';
		else $email = ' - <a href="mailto:'.$email.'?subject='.$cfg['nomdusel'].' Annonce : '.$titre.'" title="Contacter le membre à propos de cette offre"><img style="vertical-align: text-top" src="img/email.gif" alt="email" /></a>';
		
		// affichage des offres
		
		$affichage .= '<p class="titre-cat-rub">'.$id_annonce.' '.$cat_nom.' - '.$rub_nom.'</p>
		<div class="offre">' .$img.$bloc. '
		<p class="titre-annonce" id="id_'.$id_annonce.'">'.$titre.'</p>
		<p class="text-annonce">' . nl2br(strip_tags($description,'<a><b><i>')) . '</p>
		<p class="small">Posté le '.date("d-m-Y", strtotime($date)).' - 
		<a href="profil.php?id_membre=' . $id_membre . '" title="Voir le profil">' . $id_membre . '-' . $prenom . '</a> (' . $commune . ') '.$email.'</p></div>' ;
	}
include('haut.php');
?>
<div class="top"><p><?php echo $title ; ?></p></div>

<div class="inner">
	<p><span class="floatright"><a href="offres-print.php" target="_blank">Liste imprimable de toutes les offres <img src="img/print.gif"></a></span>
	<a href="categories-print.php" target="_blank">Liste des catégories et rubriques</a></p><br />
	
	<?php echo $affichage ?>
	
	<p class="right"><input type="button" class="button" value="Haut" onclick="scrollTo(0,0)" /></p>
	
</div>

<?php include('bas.php');?>

