<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
$title = 'Entrées-sorties par type';

if(!empty($_GET['year'])) $year = $_GET['year'];
else $year = date('Y',time()) ;

$sql = "SELECT b.id_cat, SUM(b.montant) as result, c.type, c.nom  
FROM gs_budget as b, gs_budget_cat as c
WHERE YEAR(b.date) = $year AND c.id = b.id_cat  
GROUP BY b.id_cat
ORDER BY c.type, c.id";
$result_cat = mysqli_query($con,$sql) or die(mysqli_error($con));
$affichage_entr = ''; $total_entr = ''; $aff_total_entr = '';
$affichage_sort = ''; $total_sort = ''; $aff_total_sort = '';
while($row = mysqli_fetch_array($result_cat)) {
	$somme = abs($row['result']);
	//$somme = number_format($somme, 2);
	
	if($row['type'] == 'E'){ 
	$affichage_entr .= '<tr><td>'.$row['nom'].'</td><td class="last">'.number_format($somme,2,'.',' ').'</td></tr>';
	$total_entr += $somme;
	$aff_total_entr = '<p>'.number_format($total_entr,2,'.',' ').'</p>';
	}
	else {$affichage_sort .= '<tr><td>'.$row['nom'].'</td><td class="last">'.number_format($somme,2,'.',' ').'</td></tr>';
	$total_sort += $somme;
	$aff_total_sort = '<p>'.number_format($total_sort,2,'.',' ').'</p>';
	}
	$resultat = $total_entr - $total_sort;
	$aff_resultat = number_format($resultat,2,'.',' ');
}

include('haut.php');
?>
<div class="top"><p><?php echo $title.' pour '.$year;?></p></div>
<div class="inner">
<div class="compta">
<h3>Entrées :</h3>
<table class="compta">
<?php echo $affichage_entr ?>
</table>
<?php echo $aff_total_entr ?>

<h3>Sorties :</h3>
<table class="compta">
<?php echo $affichage_sort; ?>
</table>
<?php echo $aff_total_sort; ?>

<h3>Résultat pour <?php echo $year ?> : <span class="floatright"><?php echo $aff_resultat ?></span></h3>
</div>
</div>
<div id="retour">
	<input type="button" class="button" value="Retour" onclick="javascript:history.go(-1);"/>
</div>

<?php include('bas.php'); ?>