<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
$title = 'Contact';
$sujet = '';
$texte = '';
$mail = '';
include('haut.php'); 

if(isset($_POST['submit'])){
	$sujet = strip_tags(trim($_POST['sujet']));
	$texte = strip_tags(trim($_POST['texte']));
	$mail = strip_tags(trim($_POST['mail']));
	$to = '<'.$cfg['email'].'>';
	
	if((empty($_POST['sujet'])) || (empty($_POST['texte'])) || (empty($_POST['mail']))) 
	$message = '<p class="erreur">Veuillez compléter tous les champs svp</p>';
	
	else{
	$sujet = '[Info '.$cfg['nomdusel'].'] '.$sujet;
	$texte = nl2br($texte);
	
	$headers ='From: <'.$mail.'>'."\n";
	$headers .='Bcc: '.$cfg['bcc']."\n"; 
	$headers .='Content-Type: text/html; charset="UTF-8"'."\n"; 
	$headers .='Content-Transfer-Encoding: 8bit';
	
	if(mail($to, $sujet, $texte, $headers))
	$message = '<p class="succes">Votre message a bien été envoyé. Nous vous répondrons dès que possible.</p>';
	else $message = '<p class="erreur">Un problème s\'est produit, veuillez réessayer plus tard.</p>';
	
	$sujet = '';
	$texte = '';
	$mail = '';
	}
}

if(!empty($message)) echo $message;
?>
<div class="top"><p>Contact</p></div>
<div class="inner">
	<p>Contactez-nous pour toutes les questions ou suggestions concernant le fonctionnement du <?php echo $cfg['nomdusel'];?>.</p>
	<br />
	<form action="" method="post">	
		<label>Sujet</label><input class="titre" type="text" name="sujet" value="<?php echo htmlspecialchars($sujet, ENT_QUOTES);?>" /><br />
		<label>Message</label><textarea name="texte"><?php echo htmlspecialchars($texte, ENT_QUOTES);?></textarea><br />
		<label>Email</label><input class="titre" type="text" name="mail" value="<?php echo $mail;?>" /><br />
		
		<p><span class="floatright"><input class="button" type="submit" name="submit" value="Envoyer" /></span>
		<input class="button" type="reset" value="Annuler" onclick="javascript:history.go(-1);" /></p>
	</form>
</div>

<?php include('bas.php'); ?>