<?php
session_start();
require ('control-session-admin.php');
require ('bd_conn.php');
require('newMP.php');
$title = 'Inscription';

//info : commenter l'instruction adhéquate selon politique d'inscription
//cas où le membre est activé immédiatement lors de l'inscription
$check = 'checked';
//cas où le membre est activé seulement lors de l'encodage de la cotisation
//$check = '';

//sélection des mails type:  [4] = bienvenue
$sql = "SELECT * FROM gs_mailtype WHERE id = 4";
$query_mail = mysqli_query($con,$sql) or die(mysqli_error($con));
$mail = mysqli_fetch_array($query_mail);

//$datejour = date("Y-m-d");
//si le formulaire a été soumis
if(isset($_POST['submit'])){
$num = $_POST['num'];
$prenom = mysqli_real_escape_string($con,trim($_POST['prenom']));
$nom = mysqli_real_escape_string($con,trim($_POST['nom']));
$adresse = mysqli_real_escape_string($con,trim($_POST['adresse']));
$cp = $_POST['cp'];
$commune = mysqli_real_escape_string($con,trim($_POST['commune']));
$tel = trim($_POST['tel']);
$gsm = trim($_POST['gsm']);
$skype = trim($_POST['skype']);
$email = trim($_POST['mail']);
$web = (empty($_POST['web']))? ' ' : trim($_POST['web']);

//dans cette version le numero de membre est utilisé comme login
$login = $num;

$actif = (isset($_POST['actif']))? 1 : 0 ;
//si on n'a pas activé le membre
if($actif == 0) {
	$sql1 = "INSERT INTO gs_membres 
	(id_membre, prenom, nom, email, adresse, cp, commune, tel, gsm, skype, login, siteweb)
	VALUES 
	('$num', '$prenom', '$nom', '$email', '$adresse', '$cp', '$commune', 
	'$tel', '$gsm', '$skype', '$login', '$web')";

	$query1 = mysqli_query($con,$sql1) or die(mysqli_error($con));
	if($query1) $message = '<p class="succes">Le membre '.$num.' est inscrit, mais pas encore activé.</p>';
	else $message =  '<p class="erreur">Un problème s\'est produit</p>';
	}
//si on a activé le membre on génère son mot de passe 
elseif($actif == 1) {
//on génère le mp
$newMP = genererChaine();
$mp = md5($newMP);

//on prépare le mail de bienvenue
	$headers ='From: "'.$cfg['nomdusel'].'" <'.$cfg['email'].'>'."\n";
	$headers .='Bcc: '.$cfg['bcc']."\n";
	$headers .='Reply-To: '.$cfg['email']."\n";
    $headers .='Content-Type: text/html; charset="UTF-8"'."\n";
    $headers .='Content-Transfer-Encoding: 8bit' ;
	
	$objet = $cfg['nomdusel'].' : '.$mail['objet'];
	  	  
	$contenu = '<html><head></head><body><div>';
	$contenu .= sprintf($mail['contenu'], $prenom, $login, $newMP, $cfg['site'], $cfg['nomdusel']);
	$contenu .= '</div></body></html>';
	
	if(mail($email, $objet, $contenu, $headers)) {
	//on insère dans la table des membres
	$sql2 = "INSERT INTO gs_membres 
	(id_membre, prenom, nom, email, adresse, cp, commune, 
	tel, gsm, skype, actif, login, mp, siteweb)
	VALUES 
	('$num', '$prenom', '$nom', '$email', '$adresse', '$cp', '$commune', 
	'$tel', '$gsm', '$skype', '$actif', '$login', '$mp', '$web')";

	$query2 = mysqli_query($con,$sql2) or die(mysqli_error($con));
	if($query2) $message = '<p class="succes">Le membre '.$num.' est inscrit. Le mail de bienvenue a été envoyé.</p>';
	else $message =  '<p class="erreur">Un problème s\'est produit</p>';
	} else $message =  '<p class="erreur">Un problème s\'est produit</p>';
} 
}
//affichage du formulaire
//récupérer le dernier num de membre inscrit
$sql = "SELECT id_membre FROM gs_membres ORDER BY id_membre DESC LIMIT 0,1";
$result = mysqli_query($con,$sql) or die(mysqli_error($con));
$row = mysqli_fetch_array($result);
$num = $row['id_membre']+1;
include('haut.php');

if(!empty($message)) echo $message;
?>
	<div class="top"><p>Inscription d'un nouveau membre</p></div>

	<div class="inner">
    <form action="" method="post">
			    
			<label for="num">Numéro</label>
			<input size="4" maxlength="4"  id="num" name="num" value="<?php echo $num;?>" readonly /><br />
			
			<label for="prenom">Prénom</label>
			<input class="small" type="text" id="prenom" name="prenom" /><span class="rem">*</span><br />
			
			<label for="nom">Nom</label>
			<input class="small" type="text" id="nom" name="nom" /><span class="rem">*</span><br />
			
			<label for="adresse">Adresse</label>
			<input class="large" type="text" id="adresse" name="adresse" /><span class="rem">*</span><br />
			
			<label for="cp">CP</label>
			<input size="4" maxlength="4" type="text" id="cp" name="cp" /><span class="rem">*</span><br />
			
			<label for="commune">Commune</label>
			<input class="small" type="text" id="commune" name="commune" /><span class="rem">*</span><br />
			
			<label for="tel">Téléphone</label>
			<input type="text" size="11" id="tel" name="tel" /><span class="rem">00 000 00 00 ou 000 00 00 00</span><br />
			
			<label for="gsm">GSM</label>
			<input type="text" size="11" id="gsm" name="gsm" /><span class="rem">0000 000 000 ou 0000 00 00 00</span><br />
			
			<label for="skype">Pseudo Skype</label>
			<input class="large" type="text" id="skype" name="skype" /><br />
			
			<label for="mail">Email</label>
			<input class="large" type="text" id="mail" name="mail" /> <span class="rem">*</span><br />
            
			<label for="web">Site Web</label>
			<input class="large" type="text" id="web" name="web" /><span class="rem">adresse complète http:// inclu</span><br />
						
			<label for="actif">Activer</label>
			<input type="checkbox" name="actif" id ="actif" <?php echo $check ?> /><span class="rem">Si non coché, l'activation se fera dès réception de la cotisation</span><br />
			
			<p><span class="floatright"><input type="submit" class="button" name="submit" value="Enregistrer" /></span>
			<input type="reset" class="button" value="Annuler" onclick="javascript:history.go(-1);"/>
			</p>
		</form>
	</div>
	
	<div id="retour">
		<input type="button" class="button" value="Retour" onclick="window.location='adm-membres.php'" />
	</div>
	
<?php
include('bas.php'); ?>
			
	