<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');

//on va chercher le prochain n° à encoder
	$sql = "SELECT m.id_membre, m.adresse, m.cp 
	FROM gs_membres AS m WHERE m.id_membre > (SELECT MAX(num) AS lastum FROM gs_geocoord) AND actif = 1";
	/*$query = mysql_query($sql) or die("Impossible de sélectionner dans la base de données : ".mysql_error());*/
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	$data = mysqli_fetch_array($query);
	if($data){
		extract($data); //on a $id_membre
		$adresse = $adresse.' '.$cp; 
		}
	else $message = "Pas de nouveau membre à encoder pour le moment";
	
extract(array_merge($_GET,$_POST));
//affichage d'un existant
if(!empty($num) AND !$submit2){
	$sql = "SELECT * FROM gs_geocoord WHERE num = $num";
	/*$query = mysql_query($sql) or die("Impossible de sélectionner dans la base de données : ".mysql_error());*/
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	$data = mysqli_fetch_array($query);
	if($data) extract($data); //on a $num et tout le reste
	
}
	
//enregistrement 
if(!empty($submit2) AND $lat != 0){
	$rue = mysqli_real_escape_string($con,trim($rue));
	$adresse = mysqli_real_escape_string($con,trim($adresse));
	$commune = mysqli_real_escape_string($con,trim($commune));
	
	$sql = "REPLACE INTO gs_geocoord SET num = '$num', lat = '$lat', lng = '$lng', rue = '$rue', adresse = '$adresse', cp = '$cp', commune = '$commune'";
	/*$query = mysql_query($sql) or die("Impossible d'insérer dans la base de données : ".mysql_error());*/
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	header("Location: map-encodage.php"); 
	}

?>
<!DOCTYPE html>
<html>
<head>
<title>Encodage adresses</title>
<meta charset="UTF-8">
<style>body{width: 80%; margin: auto;}
#map-canvas{width: 500px; height: 375px;}
#mode{width: 500px; font-family: Tahoma; font-size : small; float: right;}
span.rem {color: red;font-family: Tahoma; font-size : small;}</style>
<script src="http://maps.google.com/maps/api/js?sensor=false"></script>
<script type="text/javascript">
var geocoder;
var map;
var marker;
function initialize() {
  geocoder = new google.maps.Geocoder();
  var latlng = new google.maps.LatLng(50.850339, 4.351710);
  var mapOptions = {
    zoom: 16,
    center: latlng
	}
  map = new google.maps.Map(document.getElementById('map-canvas'), mapOptions);
  marker = new google.maps.Marker({
	draggable: true,
	map: map
	});

  google.maps.event.addListener(marker,"dragend",function(e){
	generCoord(e.latLng);
	});
}

function codeAddress() {
	
	var GeocoderOptions = {
	    'address' : document.getElementById("adresse").value,
	    'region' : 'BE'
		}
	
		geocoder.geocode(GeocoderOptions, function(results, status){
			
			if (status == google.maps.GeocoderStatus.OK) {
				document.getElementById("adresse").value=results[0].formatted_address;
				generCoord(results[0].geometry.location);

				var street = extractFromAdress(results[0].address_components, "route");
				var postCode = extractFromAdress(results[0].address_components, "postal_code");
				var town = extractFromAdress(results[0].address_components, "locality");
								
				document.getElementById("rue").value=street;
				document.getElementById("cp").value=postCode;
				document.getElementById("commune").value=town;
								
			} else {
				alert("Erreur: "+status);
			}
		});
		return false;
}


function generCoord(point) {
		var b=Math.pow(10,6);
		document.getElementById("lat").value=Math.round(point.lat()*b)/b;
		document.getElementById("lng").value=Math.round(point.lng()*b)/b;
		map.setCenter(point);
        marker.setPosition(point);
}
	
function extractFromAdress(components, type){
    for (var i=0; i<components.length; i++)
        for (var j=0; j<components[i].types.length; j++)
            if (components[i].types[j]==type) return components[i].long_name;
    return "";
}

google.maps.event.addDomListener(window, 'load',initialize);



</script>
</head>
<body >
	<h2>Encodage des adresses et coordonnées de géolocalisation</h2>
	<div id="mode">
		<h4>Mode d'emploi</h4>
		<p><strong>Encodage</strong> : le nouveau numéro de membre à encoder se présente automatiquement ainsi que l'adresse et le code postal. <strong>Cliquer</strong> sur Géocoder.<br />
		Vérifier la position correcte du repère, le déplacer légèrement si nécessaire, puis cliquer sur Enregistrer.</p>
		<p><strong>Modification</strong> possible seulement quand il n'y a pas de nouveau membre à encoder : entrer un numéro de membre existant suivi de <strong>Enter</strong> ou Tab. Modifier l'adresse, cliquer sur Géocoder puis sur Enregistrer.</p>
		<p><strong>Ajuster</strong> la position d'un repère : entrer un numéro de membre et cliquer sur Géocoder. Faire un cliqué-glissé sur le repère puis cliquer sur Enregistrer. (modifie uniquement les coordonnées, pas l'adresse)
		</p>
		<p><a href="accueil.php">Retourner sur le site</a></p>
	</div>
	
	<?php if($id_membre){ //nouveau membre ?> 
	<form id="reg_mbr" method="post" action="">
		<label for="num">Numéro de membre</label> <input size="4" type="text" id="num" name="num" value="<?php echo $id_membre ?>" /><br />
	
	<?php } else{ //membre existant ?>
	<p><?php echo $message ?></p>
	
	<form id="search_mbr" method="get" action="">
		<label for="num">Numéro de membre</label> <input size="4" type="text" id="num" name="num" onchange="document.getElementById('search_mbr').submit()" value="<?php echo $num ?>" /><br />
	</form>
	<form id="reg_mbr" method="post" action="">
	<?php } ?>
		
		<span class="rem">Format : <strong>Rue n° CP</strong> sans bte postale (ex : Rue Franklin 15 1000)</span><br />
		<label for="adresse">Adresse</label> <input style="width:350px" type="text" name="adresse" id="adresse" value="<?php echo $adresse ?>" /> 
		<input type="button" id="ok" value="Geocoder" onclick="codeAddress()" />
		
		<input type="hidden" name="rue" id="rue" value="<?php echo $rue ?>" /> 
		<input type="hidden" name="cp" id="cp" value="<?php echo $cp ?>" /> 
		<input type="hidden" name="commune" id="commune" value="<?php echo $commune ?>" /><br />
		
		<div id="map-canvas"></div>
		<label>Lat</label> <input type="text" name="lat" id="lat" value="<?php if(!empty($lat)) echo $lat ?>" /> 
		<label>Long</label> <input type="text" name="lng" id="lng" value="<?php if(!empty($lng))echo $lng ?>" />
		<input type="submit" id="submit2" name="submit2" value="Enregistrer" />
	</form>
	

</body>
</html>
