<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
$title = 'Liste des membres';

//Préparation de la sélection
if(!isset($_GET['select'])) { $select = ''; $where = 'actif=1'; $order_by = 'id_membre'; $tdsup1=false; $tdsup2=false;}
else {
	$select = $_GET['select'];
	if($select == 1) { $where = 'actif=1'; $order_by = 'date_inscription DESC, id_membre DESC'; $tdsup1=true; $tdsup2=false; $title = 'Liste des membres actifs';}
	if($select == 0) { $where = 'actif=0'; $order_by = 'date_desactivation DESC, id_membre DESC'; $tdsup1=true; $tdsup2=true; $title = 'Liste des membres désactivés';}
	if($select == 'admin') { $where = 'admin=1'; $order_by = 'id_membre DESC'; $tdsup1=true; $tdsup2=false; $title = 'Liste des membres admin';}
	if($select == 'tous') { $where = 'actif=1 OR actif=0'; $order_by = 'id_membre DESC'; $tdsup1=true; $tdsup2=true; $title = 'Liste de tous les membres';}
	}
	
	// Préparation de la requête
	$sql = "SELECT * FROM gs_membres WHERE {$where} AND id_membre != 0 ORDER BY {$order_by}";
	$result = mysqli_query($con,$sql) or die(mysqli_error($con));
	 
	
// Affichage
	?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="robots" content="none,noarchive" />
	<title><?php echo $title; ?></title>
	<link rel="stylesheet" media="screen" type="text/css" title="Design" href="style.css" />
 
<style type="text/css">
	body{background:none;}
	#container{border:none;}
	th{color: #494949;border: #494949;}
</style>
</head>
<body>
<div id="container">
  <h3><?php echo $title;?></h3>

	<table class="membre" border="1">
	    <tr>        
	        <th width="15" align="left">N°</th>
	        <th>Prénom</th>
			<th>Nom</th>
            <th>Tel</th>
			<th>GSM</th>
	        <th>Email</th>
			<th>Commune</th>
			<?php if($tdsup1) echo '<th>Inscrit le</th>';?>
			<?php if($tdsup2) echo '<th>Désactivé le</th>';?>
	    </tr>
	<?php while( $row = mysqli_fetch_assoc($result) ) : //modifié pour mysqli
	extract($row);?>
	    <tr>
	        <td><strong><?php echo $id_membre ;?></strong>
	        <td><?php echo $prenom ;?></td>
			<td><?php echo $nom ;?></td>
	        <td><?php echo $tel ;?></td>
            <td><?php echo $gsm ;?></td>
            <td><?php echo $email ;?></td>
			<td><?php echo $commune ;?></td>
			<?php if($tdsup1) echo '<td>'.date("d-m-Y", strtotime("$date_inscription")).'</td>';?>
			<?php if($tdsup2) {echo '<td>'; if($date_desactivation == '' || $date_desactivation == 0) echo ''; 
			else echo date("d-m-Y", strtotime("$date_desactivation")); echo'</td>';}?>
	    </tr>
	<?php endwhile ?>
	</table>
	<p><a href="javascript:window.print()"><img src="img/print.gif" /> Imprimer la page</a></p>
</div><!--fin de container-->
</body>
</html>


