<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
$title = 'Liste des membres';
include('haut.php');

// Tri sur colonne
$order_by = 'id_membre';
$tri_autorises = array('id_membre','prenom','nom','commune','solde');
if(!empty($_GET['order'])) { 
	$order_by = in_array($_GET['order'],$tri_autorises) ? $_GET['order'] : 'id_membre';
}

// Sens du tri
$order_dir = 'DESC' ;
if (isset($_GET['dir'])) {
	if ($_GET['dir'] == "ASC") $order_dir = 'ASC' ;
}

	$strSQL = "SELECT *, (solde_ini + solde) as solde FROM gs_membres WHERE actif = 1 ORDER BY {$order_by} {$order_dir}";
	$result = mysqli_query($con,$strSQL) or die("Impossible de sélectionner dans la base de données : ".mysqli_error($con));
	$nb_ligne=mysqli_num_rows($result);
		
	// Notre fonction qui affiche les liens
	function sort_link($text, $order='id_membre') {
		global $order_by, $order_dir;
		$dir = "ASC" ;
		$second_class = "order_asc" ;
		if ($order_dir == "ASC" && $order == $order_by) {
		  $dir = "DESC" ;
		  $second_class = "order_desc" ;
		}
		$link = '<a href="?order=' . $order . '&amp;dir=' . $dir . '" class="titre ' . $second_class . '">' . $text . '</a>
		' ;
	    return $link;
	}
// Affichage
	?>
	
<div class="top"><p><?php echo $title.' ('.$nb_ligne.' actifs)';?></p></div>

<div class="inner">	
	<p class="list"><a href="membres-print.php"><img src="img/print.gif" /> Liste imprimable</a></p>
	
	<table class="membre">
	    <tr>
	        <th><?php echo sort_link('N°', 'id_membre');?></th>
	        <th><?php echo sort_link('Prenom', 'prenom');?></th>
			<th><?php echo sort_link('Nom', 'nom');?></th>
            <th>Tel</th>
			<th>GSM</th>
	        <th><?php echo sort_link('Commune', 'commune');?></th>
			<th><?php echo sort_link('Solde', 'solde');?></th>
	        <th class="last">Email</th>
	    </tr>
	<?php while( $row = mysqli_fetch_assoc($result) ) : ?>  
	    <tr>
	        <td class="num"><a href="profil.php?id_membre=<?php echo $row['id_membre'] ?>"><?php echo $row['id_membre'];?></a></td>
	        <td><?php echo $row['prenom'];?></td>
			<td><?php echo $row['nom'];?></td>
	        <td><?php echo $row['tel'];?></td>
            <td><?php echo $row['gsm'];?></td>
			<td><?php echo $row['commune'];?></td>
			<td class="last"><?php echo $row['solde'];?></td>
            <td class="last"><?php if($row['email'] == '-' or $row['email'] == NULL or $row['email'] == '') echo ''; else echo '<a href="mailto:'.$row['email'].'"><img src="img/email.gif" alt="email" /></a>';?></td>
	    </tr>
	<?php endwhile ?>
	</table>
 </div>
	
<div id="retour">
	<span class="floatright"><input type="button" class="button" value="Haut" onclick="scrollTo(0,0)" /></span>
</div>

<?php include('bas.php'); ?>
