<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
require('fonctions.php');
$title = 'Ajouter une offre permanente';
//si l'on veut utiliser un système de validation, mettre actif = 2 + message $succes='<span class="floatright">L'annonce sera publiée après validation</span>L\'enregistrement a réussi';
extract(array_merge($_GET,$_POST));
//si on est propriétaire on a le droit d'ajouter
$id_membre = $_SESSION['num'];

// on liste les categories de services
$sql_serv="SELECT * FROM gs_cat_services  WHERE actif=1 AND id_cat != 0 ORDER BY nom";
$query_serv = mysqli_query($con,$sql_serv) or die(mysqli_error($con));

if(!empty($submit)) 
{ 
	if(empty($liste_cat)) $erreur = 'Sélectionnez une catégorie'; 
	elseif(empty($liste_rub)) $erreur = 'Sélectionnez une rubrique. Pour ce faire re-sélectionnez une catégorie.'; 
	if(empty($titre)) $erreur = 'Il faut mettre un titre.';
	if(empty($description)) $erreur = 'Il faut mettre une description, des précisions ou les modalités de l\'offre.';//erreur on réaffiche
	
	if(empty($erreur)) 
	{
		//on enregistre requête etc.
		$titre = mysqli_real_escape_string($con,trim($titre));
		$description = mysqli_real_escape_string($con,trim($description));
		
		$sql = "INSERT INTO gs_services_offres (id_membre, titre, id_rub, actif, id_cat, description) 
		VALUES ('$id_membre','$titre','$liste_rub', 1, '$liste_cat','$description')";
		
		$query = mysqli_query($con,$sql) or die(mysqli_error($con));
		$id = mysqli_insert_id($con);

		if(!$query) 
		{	//si échec
			$erreur = 'L\'enregistrement a échoué. Veuillez réessayer plus tard.';
			$_POST = array();
		}
		elseif($query) 
		{ //si réussite
		
			$succes = 'L\'enregistrement a réussi';
			
			//on envoie un mail à l'admin
			$to = '<'.$cfg['bcc'].'>';
			$sujet = '['.$cfg['nomdusel'].'] Notification annonce';
			$texte = 'Le membre n° '.$id_membre.' a ajouté une annonce : <a href="'.$cfg['siteroot'].'/adm-offres-control.php#id_'.$id.'">'.$titre.'</a>';
			
			$headers ='From: <'.$cfg['email'].'>'."\n";
			$headers .='Content-Type: text/html; charset="UTF-8"'."\n"; 
			$headers .='Content-Transfer-Encoding: 8bit';
			mail($to, $sujet, $texte, $headers);
			$_POST = array();
		} 
	}
}
if(!empty($succes))
{
	$row = select_offre_id($con,$id);
	extract($row);
	
	$bloc = '<p class="blocmodif">
	<a href="upload-photo.php?id='.$id_annonce.'&amp;id_membre='.$id_membre.'"><img src="img/icone_image1.png" title="Ajouter une photo" alt="Ajouter photo" /></a> ';
	$bloc .= ' <a href="offre-modif.php?id='.$id_annonce.'&amp;do=modif"><img src="img/edit.gif" title="Modifier" alt="Modifier" /></a>';
	$bloc .= ' <a href="offre-modif.php?id='.$id_annonce.'&amp;do=del" onclick="return window.confirm(\'La suppression est irréversible, supprimer cette annonce ?\')"><img src="img/delete.gif" title="Supprimer" alt="Supprimer" /></a>';
	$bloc .= '</p>';
		
	// affichage de l'annonce
	$affichage = '<p class="titre-cat-rub">'.$cat_nom.' - '.$rub_nom.'</p>
	<div class="offre">' .$bloc. '
	<p class="titre-annonce" id="id_'.$id_annonce.'">'.strip_tags($titre).'</p>
	<p class="text-annonce">' . nl2br(strip_tags($description,'<a><b><i>')) . '</p>
	<p class="small">Posté le '.date("d-m-Y", strtotime($date)).' - 
	<a href="profil.php?id_membre=' . $id_membre . '">' . $id_membre . '-' . $prenom . '</a>
     (' . $commune . ')</p></div>' ;
}
include('haut.php');

if(!empty($erreur)) echo '<p class="erreur">'.$erreur.'</p>';
elseif(!empty($succes)) echo '<p class="succes">'.$succes.'</p>';

?>

<div class="top">
	<p><?php echo $title ; ?></p>
</div>

<div class="inner">

	<?php if(!empty($succes)) 
	{ //on affiche l'annonce
		echo '<p class="info">Vous pouvez maintenant ajouter une photo <img src="img/icone_image1.png" /> 
		ou corriger l\'annonce <img src="img/edit.gif" /> si nécessaire</p>';
		echo $affichage;
		echo '<h3>Ajouter une nouvelle offre permanente <a href=""> 
		<img src="img/add.png" title="Ajouter une offre" /></a></h3>';
	}
	else 
	{ //on affiche le formulaire ?> 
		<p class="list"><a href="categories-print.php" target="_blank"><img src="img/print.gif" /> Liste imprimable des catégories</a></p>
		<form name="form_selects" id="form_selects" action="" method="post" enctype="multipart/form-data">
			<input type="hidden" name="id_membre" value="<?php echo $_SESSION['num'] ?>" />
			<label for="categorie">Catégorie</label>
			<select name="liste_cat" id="liste_cat" class="ButtonL"  onclick="request06(this.form)">		
				<option value="">Choisir une catégorie</option>
				<?php 
				while($serv = mysqli_fetch_array($query_serv))
				{
					if($_POST['liste_cat'] == $serv['id_cat']) $selC = 'selected'; else $selC = '';			
					echo '<option value="'.$serv['id_cat'].'" '.$selC.'>'.$serv['nom'].'</option>';
				} ?>
			</select> <span class="rem">*</span>	
			<br />
				 
			<label for="rubrique">Rubrique</label>				
					
			<select name="liste_rub" id="liste_rub" class="ButtonL">
				<option value="">Choisir une rubrique</option>
			</select> <span class="rem">*</span>
			<br />
					
			<label for="titre">Titre</label><input type="text" class="titre" id="titre" name="titre" value="<?php if(!empty($titre)) echo $titre  ?>" /> <span class="rem">*</span><br />
			<label for="description">Description</label><textarea id="description" name="description"><?php if(!empty($description)) echo $description  ?></textarea> <span class="rem">*</span><br />
			
			<p><span class="floatright"><input type="submit" class="button" name="submit" value="Enregistrer" /></span>
			<input type="reset" class="button" value="Annuler" onclick="javascript:history.go(0);" /></p>
		</form>	
	<?php
	} ?>
</div>
		
<?php include('bas.php');?>