<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
require('fonctions.php');
$title = 'Modifier une offre';
extract(array_merge($_GET,$_POST));
// on va vérifier si l'annonce appartient bien au membre logué
if(isset($id) && isset($do)){
$row = select_offre_id($con,$id);
extract($row);
if($id_membre == $_SESSION['num'] || $_SESSION['droit']) $droit = true;


if($droit) {
if($do == 'del'){
	$sql = "DELETE FROM gs_services_offres WHERE id_annonce=$id";
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	$f = 'photos/servoff'.$id.'.jpg';
	if(file_exists($f)) unlink($f);
	header("Location: annonces-membre.php?id_membre=$id_membre");
	}
	
if($do == 'activ'){
	$sql = "UPDATE gs_services_offres SET actif = 1 WHERE id_annonce=$id";
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	header("Location: annonces-membre.php?id_membre=$id_membre#id_$id");
	}
	
if($do == 'desact'){
	$sql = "UPDATE gs_services_offres SET actif = 0 WHERE id_annonce=$id";
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	header("Location: annonces-membre.php?id_membre=$id_membre#id_$id");
	}

if($do == 'modif'){
	$sql = "SELECT * FROM gs_services_offres as a 
	INNER JOIN gs_rub_services as r ON a.id_rub = r.id_rub 
	WHERE id_annonce = $id";
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
	$message = '<p class="info">Si vous voulez modifier la rubrique, il faut d\'abord re-sélectionner la catégorie</p>';
	
	$data = mysqli_fetch_array($query);
	
	//on liste les catégories de services
	$sql_serv = "SELECT * FROM gs_cat_services  WHERE actif=1 AND id_cat != 0 ORDER BY nom";
	$query_serv = mysqli_query($con,$sql_serv) or die(mysqli_error($con));
	}
}
}
//le formulaire d'update a  été soumis
if(isset($submit)) {

	if(empty($liste_cat)) $erreur = 'Sélectionnez une catégorie'; 
	elseif(empty($liste_rub)) $erreur = 'Sélectionnez une rubrique. Pour ce faire re-sélectionnez une catégorie.'; 
	if(empty($titre)) $erreur = 'Il faut mettre un titre. De préférence aussi une description.'; //erreur on réaffiche

	if(empty($erreur)) {
		$titre = mysqli_real_escape_string($con,trim($titre));
		$texte = mysqli_real_escape_string($con,trim($description));

		$sql = "UPDATE gs_services_offres SET titre = '$titre', 
		id_rub = '$liste_rub', 
		id_cat = '$liste_cat',  
		description = '$texte', 
		date = NOW() 
		WHERE id_annonce = $id_annonce";
		
		$query = mysqli_query($con,$sql) or die(mysqli_error($con));
		if(!$query) { //si échec
			$erreur = 'L\'enregistrement a échoué. Veuillez réessayer plus tard.';
			$_POST = array();
			}
		
		elseif($query) { //si réussite
			//on envoie un mail à l'admin
			$to = '<'.$cfg['bcc'].'>';
			$sujet = '['.$cfg['nomdusel'].'] Notification annonce';
			$texte = 'Le membre n° '.$id_membre.' a modifié une annonce : <a href="'.$cfg['siteroot'].'/gestech/adm-offres-control.php#id_'.$id_annonce.'">'.$titre.'</a>';
			
			$headers ='From: <'.$cfg['email'].'>'."\n";
			$headers .='Content-Type: text/html; charset="UTF-8"'."\n"; 
			$headers .='Content-Transfer-Encoding: 8bit';
			mail($to, $sujet, $texte, $headers);
			$_POST = array();
		
			header("Location: annonces-membre.php?id_membre=$id_membre#id_$id_annonce"); // sinon on a fini, on retourne dans la liste 
			} 
	}
}
include('haut.php');
if(!empty($erreur)) echo '<p class="erreur">'.$erreur.'</p>';
if($droit) {
//on affiche le formulaire de modification
?>

	<div class="top"><p><?php echo $title ?></p></div>
	<div class="inner">
		<?php if(!empty($message)) echo $message;?>
				
		<form name="form_selects" id="form_selects" action="offre-modif.php" method="post" enctype="multipart/form-data">
				
				<input type="hidden" name="id_annonce" value="<?php echo $data['id_annonce'] ?>" />
				<input type="hidden" name="id_membre" value="<?php echo $data['id_membre'] ?>" />
				<label for="categorie">Catégorie</label>
				<select name="liste_cat" id="liste_cat" class="ButtonL"  onclick="request06(this.form)">
					
					<option value="">Choisir une catégorie</option>
				<?php 
				
					// on liste les categories de services
					while($serv = mysqli_fetch_array($query_serv)){
					if($data['id_cat'] == $serv['id_cat']) $selC = 'selected'; else $selC = '';
					
					echo '<option value="'.$serv['id_cat'].'" '.$selC.'>'.$serv['nom'].'</option>';
					}
					
					?>
				</select>	
				<br />
				<label for="rubrique">Rubrique</label>				
				
				<select name="liste_rub" id="liste_rub" class="ButtonL">
					<?php 
					echo '<option value="'.$data['id_rub'].'">'.$data['id_rub'].' - '.$data['nom'].'</option>';
					?>
				</select>
				<br />
				<label for="titre">Titre</label><input type="text" class="titre" id="titre" name="titre" value="<?php echo $data['titre'];?>" /><br />
				<label for="description">Description</label><textarea id="description" name="description"><?php echo $data['description'];?></textarea><br />
				
	
		<p><span class="floatright"><input type="submit" class="button" name="submit" value="Enregistrer" /></span>
		<input type="reset" class="button" value="Annuler" onclick="javascript:history.go(-1);"/>
		</p>
		</form>
		
	</div>


<?php 
} else echo '<p class="erreur">Vous n\'avez pas le droit de modifier une annonce pour un autre membre.</p>
  <div id="retour"><input type="button" class="button" value="Retour" onclick="javascript:history.go(-1);"/></div>';
include('bas.php'); ?>