<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
require ('fonctions.php');
$title = 'Les offres'; $viewcat = ''; $viewrub = '';
//mettre $toggle = false si on veut les rubriques déployées, = true dans le cas contraire
$toggle = true; //par défaut
if(isset($_GET['catclick']) && $_GET['catclick'] == 'on') $toggle = true;
if(isset($_GET['catclick']) && $_GET['catclick'] == 'off') $toggle = false;
if($toggle) $display = ' style="display:none"'; 
else $display = '';

//recherche par mot
if(isset($_GET['recherche'])) $recherche=$_GET['recherche'];

//si on veut toutes les offres d'une cat ou d'une rub
elseif(isset($_GET['cat']) OR isset($_GET['rub']))
{ 
	if(!empty($_GET['cat']))
	{
		$id_cat = ($_GET['cat']);
		$where = "AND a.id_cat = $id_cat";
		$viewcat = true;
	}
	if(!empty($_GET['rub']))
	{
		$id_rub = $_GET['rub'];
		$where = "AND a.id_rub = $id_rub";
		$viewrub = true;
	}
	// requete SQL, liste les offres et leur ajoute les infos du membre, la catégorie et la rubrique et on compte les offres qui s'y rapportent
	$strSQL = "SELECT *, r.nom as rub_nom, c.nom as cat_nom, m.prenom, m.commune, m.email 
	FROM gs_services_offres as a, gs_rub_services as r, gs_cat_services as c, gs_membres as m
	WHERE m.actif = 1 AND m.id_membre = a.id_membre AND r.id_rub = a.id_rub AND c.id_cat = a.id_cat AND a.actif = 1 {$where} ORDER BY a.date DESC";
	$result = mysqli_query($con,$strSQL) or die(mysqli_error($con));
	$row = mysqli_fetch_array($result);
	$tCat = $row['cat_nom'];
	$id_cat = $row['id_cat'];
	$tRub = $row['rub_nom'];
	$num_result = mysqli_num_rows($result) ;

}
else
{
	$recherche = '';
	// requete SQL, liste les offres, les catégories et les rubriques et on compte ttes les offres

	$strSQL = "SELECT *, r.nom as rub_nom, c.nom as cat_nom  
	FROM gs_services_offres as a, gs_rub_services as r, gs_cat_services as c, gs_membres as m
	WHERE m.actif = 1 AND m.id_membre = a.id_membre AND r.id_rub = a.id_rub AND c.id_cat = a.id_cat AND a.actif = 1 
	ORDER BY c.id_cat, r.id_rub, a.date DESC";
	$result = mysqli_query($con,$strSQL) or die(mysqli_error($con));
	$num_result = mysqli_num_rows($result) ;
}
include('haut.php'); 
?>

<a name="top"></a>

<div class="top"><p>Les offres permanentes<span class="floatright"><?php if(empty($recherche)) echo $num_result.' offres' ; ?> </span></p></div>
<div class="inner">
	<div class="floatright right">
		<p><a href="offres-print.php" target="_blank">Liste imprimable de toutes les offres <img src="img/print.gif"></a></p>
		
		<p><form action="offres.php"  method="get">
			<input type="text" name="recherche" /><input type="hidden" name="type" value="offre" />
			<input type="submit" class="button" value="Chercher" />	
		</form></p>
	</div>
	
	<h3>Catalogue des offres permanentes de services ou de prêts d'objets</h3>
		
	<hr style="clear:right" />
	<?php 
	if(!empty($recherche))
	{ 	//affichage de la recherche par mot
		echo '<p><strong><a href="offres.php">Catalogue</a> > Résultat de la recherche pour : '.$recherche.'</strong></p>';
		include('inc/resultat-recherche-inc.php');
	}
	elseif($viewcat OR $viewrub)
	{ //affichage de toutes les annonces d'une cat ou d'une rub
		if ($viewcat) echo '<p class="breadcrumps"><a href="offres.php">Catalogue</a> > <span class="fluo">'.$tCat.'</span></p>';
		elseif($viewrub) echo '<p class="breadcrumps"><a href="offres.php">Catalogue</a> > <a href="?cat='.$id_cat.'">'.$tCat.'</a> > <span class="fluo">'.$tRub.'</span></p>';
	
		// mise du pointeur au début du résultat pour un deuxième passage
		mysqli_data_seek($result, 0) ; 
		while( $row = mysqli_fetch_array($result) )
		{ 
			extract($row);
			$timestamp = $row['date'];
			//si il y a une photo
			$f = 'photos/servoff'.$id_annonce.'.jpg';
			if(file_exists($f)) $img = '<p class="photo"><img src="'.$f.'" alt="img'.$id_annonce.'" title="" longdesc="'.$f.'" /></p>';
			else $img = '';
			//si il y a un mail
			if($row['email'] == '-' or $row['email'] == NULL or $row['email'] == '') $email = '';
			else $email = '<a href="mailto:'.$email.'?subject='.$cfg['nomdusel'].' Annonce : '.$titre.'" title="Contacter l\'auteur de cette annonce"><img style="vertical-align: text-top" src="img/email.gif" alt="email" /></a>';
			// si c'est une cat on affiche les rubriques cliquables
			if($viewcat) $titre_rub = '<p class="titre-cat-rub"><a href="offres.php?rub='.$id_rub.'">'.$rub_nom.'</a></p>';
			elseif($viewrub) $titre_rub ='';
			// affichage des annonces
			echo $titre_rub.'
			<div class="offre">' .$img. '
			<p class="titre-annonce" id="id_'.$id_annonce.'">'.strip_tags($titre).'</p>
			<p class="text-annonce">' . nl2br(strip_tags($description,'<a><b><i>')) . '</p>
			<p class="small">'.date("d-m-Y", strtotime($date)).' | 
			<a href="profil.php?id_membre=' . $id_membre . '" title="Voir le profil">' . $id_membre . '-' . $prenom . '</a>
			 (' . $commune . ') '.$email.'</p></div>
			' ;
		}
	}
	else
	{ ?>
		<div class="catlist">
			<p>
				<span class="fluo"> 
					<?php if($toggle) echo '<a href="?catclick=off">Afficher toutes les rubriques</a>'; else echo '<a  href="?catclick=on">Replier la liste</a>'; ?>
				</span>
			</p>
			<ul>
			<?php
			// ces deux variables permetent de comparer dans la boucle la catégorie/rubrique actuelle et précédente 
			// si elle est différente on crée un nouveau objet dans la liste.
			$tRub = "" ;
				$tCat = "" ;
			while( $row = mysqli_fetch_array($result) ) 
			{ 		
				if ($tCat != $row['cat_nom']) 
				{
					$tCat = $row['cat_nom'] ;
					$id_cat = $row['id_cat'] ;
					$count= compte($con,'id_cat',$id_cat); 
					if($toggle) $fleche = '<img src="img/s_desc.png" alt="" title="Voir les rubriques" onclick="cat_click('.$id_cat.')" />'; else $fleche = '';
					// affichage des catégories
					echo '</ul><p class="catlist"><a href="?cat='.$id_cat.'">'.$tCat.' <span class="small">('. $count .')</span></a> '.$fleche.'</p>
					<ul class="rublist"'.$display.' id="rublist_content_'.$id_cat.'">' ;
				}
		
				if ($tRub != $row['rub_nom']) 
				{
					$tRub = $row['rub_nom'] ;
					$id_rub = $row['id_rub'];
					$count = compte($con,'id_rub',$id_rub); 
					//affichage des rubriques
					echo '<li><a href="?rub='.$id_rub.'">'.$tRub.' <span class="small">('.$count.')</span></a></li>';
				}
				
			}?>
		</div>
		<?php 
	} ?>
</div>

<div id="retour">
	<!--<a class="button" href="javascript:history.go(-1);">Retour</a>-->
	<p class="right"><input type="button" class="button" value="Haut" onclick="scrollTo(0,0)" /></p>
</div>

<script type="text/javascript">

function cat_click(id) {
  $('.rublist:visible').slideToggle('') ;
  $('#rublist_content_'+id).slideToggle('') ;
}

</script>

<?php include('bas.php'); ?>