<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
$title = 'Les petites annonces';

extract(array_merge($_GET,$_POST));

//si on veut, on commence par supprimer les annonces périmées (durée autorisée en jours = $jr), sinon la limite se fait à l'affichage et les annonces ne sont pas supprimées
$jr = 60;
/*$sql = "DELETE FROM gs_annonces WHERE TO_DAYS(NOW()) - TO_DAYS(date) > $jr";
$query = mysqli_query($con,$sql) or die(mysqli_error($con)); // facultatif*/

if(!empty($del))
{
	$strSQL = "DELETE FROM gs_annonces WHERE id=$del";
	mysqli_query($con,$strSQL) or die(mysqli_error($con));
	header("Location: ptannonces.php");
}
if(!empty($envoi))
{
	//on récupère la ptannonce
	$strSQL = "SELECT *, n.id_membre, m.prenom, m.nom, m.email FROM gs_annonces as n, gs_membres as m WHERE n.id = $envoi AND n.id_membre = m.id_membre";
	$query = mysqli_query($con,$strSQL) or die(mysqli_error($con));
	$row = mysqli_fetch_array($query);
	extract($row);
	
	$titre = stripslashes($titre);
	$texte = stripslashes($texte);
	
	//on prépare l'email
	
	$headers = 'From: "'.$cfg['nomdusel'].'" <'.$cfg['email'].'>'."\n";
	$headers .= 'Reply-To: "'.$prenom.' '.$nom.'" <'.$email.'>'."\n";
	$headers .= 'MIME-Version: 1.0'."\n";
	$headers .= 'Content-type: text/html; charset=utf-8'."\n";
	$headers .= 'Content-Transfer-Encoding: 8bit'."\n\n";
    	
	$objet = '['.$cfg['nomdusel'].'] Annonce : '.$titre;
	
	$contenu = '['.$type.'] '.$titre."\n\n";
	$contenu .= $texte."\n\n";
	$contenu .= 'Message posté par <a href="'.$cfg['siteroot'].'/profil.php?id_membre='.$id_membre.'">'.$id_membre.'-'.$prenom.'</a>'."\n";
	
	//on récupère les emails des membres et on envoie en boucle
	$strSQL = "SELECT email FROM gs_membres WHERE actif = 1 AND email != ''";
	$query = mysqli_query($con,$strSQL) or die(mysqli_error($con));	
	while($row = mysqli_fetch_array($query))
	{ 
		extract($row);
		if(!mail($email, $objet, $contenu, $headers)) 
		{
			$cr .= $email.' <span class="red">erreur !</span> <br />';
			$erreur = 'Erreur d\'envoi';
		}
	}
	//si pas d'erreur on inscrit la date d'envoi 
	if(empty($erreur)) 
	{
		$strSQL = "UPDATE gs_annonces SET date_envoi = NOW() WHERE id=$envoi";
		mysqli_query($con,$strSQL) or die(mysqli_error($con));	
		header('location: ptannonces.php');
	}
}
include('haut.php');

if(!empty($erreur))
{
	echo '<p class="erreur">'.$erreur.'</p>';
	echo $cr;
}
else
{
	if(!empty($id)) 
	{ //on affiche la ptannonce demandée

		$strSQL = "SELECT *, n.id_membre, m.prenom, m.email FROM gs_annonces as n, gs_membres as m	WHERE n.id = $id AND n.id_membre = m.id_membre AND m.actif = 1";
		$query = mysqli_query($con,$strSQL) or die(mysqli_error($con));	
		$row = mysqli_fetch_array($query);
		$nb = mysqli_num_rows($query);
		
		if($nb > 0)
		{
			extract($row);
			if(!$email) $email = '';
			else $email = '<a href="mailto:'.$email.'?subject='.$cfg['nomdusel'].' Annonce : '.$titre.'" title="Contacter l\'auteur de cette annonce"><img style="vertical-align: text-top" src="img/email.gif" alt="email" /></a>';
			?>

			<div class="top"><p><?php if($id_membre == $_SESSION['num']) echo '<span class="floatright"><a href="ptannonces-modifier.php?id='.$id.'">Modifier</a></span>'; echo $title;?></p>
			</div>
			<div class="inner">
				<div class="news">
					<p class="titre"><?php echo '['.$type.'] '.$titre;?></p>
					<?php echo $texte;?>
					<p class="small" style="clear:both"><?php echo date("d-m-Y", strtotime($date)).' | <a href="profil.php?id_membre='. $id_membre .'" title="Voir le profil">'.$id_membre.'-'.$prenom.'</a> '.$email;?></p>
				</div>
				<div id="retour">
					<p><input type="button" class="button" value="Retour" onclick="javascript:history.go(-1);"/></p>
				</div>
	
			<?php 
		} 
		else 
		{ ?>
			<script type="text/javascript">
				alert('Cette petite annonce a été supprimée');
				history.go(-1);
			</script>
			<!--Si vous n'aimez pas les alertes javascript, remplacez par ceci-->
			<!--<div>
			<p class="erreur">Cette petite annonce a été supprimée</p>
			<div id="retour">
				<p><input type="button" class="button" value="Retour" onclick="javascript:history.go(-1);"/></p>
			</div>-->
			<?php 
		} ?>

		<?php 
	}
	else 
	{ //on affiche la liste 
		//on peut trier par type
		if(!empty($_GET['orderby']) && $_GET['orderby'] == 'type') $orderby = 'n.type, n.id DESC';
		else $orderby = 'n.id DESC';

		$strSQL = "SELECT * , m.prenom FROM gs_annonces as n, gs_membres as m WHERE m.actif = 1 AND n.id_membre = m.id_membre  AND TO_DAYS(NOW()) - TO_DAYS(date) < $jr  ORDER BY {$orderby}";
		$query = mysqli_query($con,$strSQL) or die(mysqli_error($con));	
		?>

		<div class="top"><p><?php echo $title;?></p></div>
		<div class="inner">
			<h3>Ajouter une petite annonce <a href="ptannonces-modifier.php?id=new"> 
			<img src="img/add.png" title="Ajouter une annonce" /></a></h3>
	
			<p>Toute demande non comblée*, offre ou proposition d'activité commune, limitée dans le temps et à faire connaître rapidement aux membres.<br />
			(* demande non comblée signifie que vous n'avez pas trouvé réponse à votre besoin dans <a href="offres.php">les offres permanentes</a>)</p>
			<p><strong class="green">Pour envoyer votre annonce par email à tous les membres, cliquez sur </strong> <a class="button" href="#" onclick="return false">Envoyer</a><br />
			<em>Les petites annonces ont une durée de vie de maximum <?php echo $jr ?> jours mais vous pouvez aussi les supprimer dès qu'elles ne sont plus d'actualité, en cliquant sur <img style="vertical-align: middle" src="img/delete.gif" alt="Supprimer" title="Supprimer" /></em></p>
			<br />
			<p><a href="?orderby=type">Trier par type</a></p>	
	
			<?php while($row = mysqli_fetch_array($query)) 
			{ 
				extract($row);
				?>
				<div class="newsletter">
					<p>
					<?php if($id_membre == $_SESSION['num']) 
					{
						echo '<span class="floatright">';
						echo '<a href="ptannonces-modifier.php?id='.$id.'"><img src="img/edit.gif" title="Modifier" /></a>'; 
						echo '<a href="?del='.$id.'" onclick="return window.confirm(\'La suppression est irréversible, supprimer cette petite annonce ?\')"><img src="img/delete.gif" title="Supprimer" /></a>';
						if($date_envoi != 0) echo ' <img src="img/envoye.gif" alt="Envoyé" title="Envoyé le '.date("d-m-Y", strtotime($date_envoi)).'" />';
						else echo ' <a class="button" href="?envoi='.$id.'" onclick="return window.confirm(\'Envoyer cette newsletter à tous les membres, êtes-vous sûr ?\')">Envoyer</a>'; 						
						echo '</span>';
					}?>
					<?php echo '['.$type.'] <a href="ptannonces.php?id='.$id.'" title="Afficher">'.$titre.'</a>';?>
					<span class="small"> | <?php echo date("d-m-Y", strtotime($date)).' | <a href="profil.php?id_membre='. $id_membre .'">'.$id_membre.'-'.$prenom.'</a>';?></span>
					</p>
				</div>
				<?php 
			} ?>
		</div>	<?php
	} ?>
		
	<?php 
}

include('bas.php'); ?>