<?php
session_start();
require ('control-session-admin.php');
require ('bd_conn.php');
$title = 'Gestion des rappels';

$bles = 0; //pour pouvoir prélever une cotisation annuelle en monnaie interne ; inscrire le montant ici ; valeur par défaut 0

function mysqli_fetch_all($con,$result) {
	$all = array();
	while ($row = mysqli_fetch_assoc($result)){ $all[] = $row; }
	return $all;
}
//sélection des mails type:  [0] = Avis d'échéance, [1] = Rappel, [2] = Avis de désactivation, [4] = Rappel de première cotisation
$sql = "SELECT * FROM gs_mailtype";
$query_mail = mysqli_query($con,$sql) or die(mysqli_error($con));
$mail = mysqli_fetch_all($con,$query_mail); //modifié pour mysqli

//si le formulaire a été envoyé
if(isset($_POST['submit']) && $_POST['submit'] == 'OK'){
	if(!isset($_POST['liste'])) $message = '<p class="erreur">Vous devez sélectionner au moins un membre</p>';
	elseif($_POST['action'] == '') $message = '<p class="erreur">Vous devez sélectionner une action</p>';
	//on récupère les membres cochés
	else{
		$liste = $_POST['liste'];
		$i = 0;
		foreach($liste as $id) {
		if ($i == 1) {
		$query_where .= " OR " ;
		}
		$query_where .= "id_membre = $id" ;
		$i = 1;
		}

		//requête des membres sélectionnés
		$sql = "SELECT id_membre, prenom, email, date_inscription, ADDDATE(date_cotisation, INTERVAL 1 YEAR) as echeance_en, date_rappel FROM gs_membres 
		WHERE $query_where";
		$query_memb = mysqli_query($con,$sql) or die(mysqli_error($con));

		while($memb = mysqli_fetch_array($query_memb)){
			extract($memb);
			$date_inscription = date("d-m-Y", strtotime($date_inscription));
			$echeance = date("d-m-Y", strtotime($echeance_en));
			$date_rappel = date("d-m-Y", strtotime($date_rappel));

			$headers ='From: "'.$cfg['nomdusel'].'"<'.$cfg['email'].'>'."\n";
			$headers .='Bcc: '.$cfg['bcc']."\n";
			$headers .='Reply-To: '.$cfg['email']."\n";
			$headers .='Content-Type: text/html; charset="UTF-8"'."\n";
			$headers .='Content-Transfer-Encoding: 8bit' ;

			switch($_POST['action']){
				//rappel de première cotisation
				case"premcotis":

				$objet = '['.$cfg['nomdusel'].'] '.$mail[4]['objet'];
				  
				$contenu = '<html><head></head><body><div>';
				$contenu .= sprintf($mail[4]['contenu'], $prenom, $date_inscription, $cfg['nomdusel']);
				$contenu .= '</div></body></html>';

				if(mail($email, $objet, $contenu, $headers)) {
				//on inscrit la date du jour comme date de rappel et on incrémente le compteur de rappel
				$sql = "UPDATE gs_membres SET date_rappel = CURRENT_DATE(), nb_rappel = nb_rappel+1 WHERE id_membre = $id_membre";
				$query = mysqli_query($con,$sql) or die(mysqli_error($con));
				if($query) $message = '<p class="succes">Les rappels ont été envoyés</p>';
				else $message =  '<p class="erreur">Un problème s\'est produit</p>';
				} else $message =  '<p class="erreur">Un problème s\'est produit</p>';
				break;

				//simple avis d'échéance + cotisation annuelle monnaie SEL éventuelle
				case"avis":
				  
				$objet = '['.$cfg['nomdusel'].'] '.$mail[0]['objet'];
				  
				$contenu = '<html><head></head><body><div>';
				$contenu .= sprintf($mail[0]['contenu'], $prenom, $echeance);
				$contenu .= '</div></body></html>';
			  
					if(mail($email, $objet, $contenu, $headers)) {
						//1er cas : pas de cotisation
						if($bles == 0){
							//on inscrit la date du jour comme date de rappel et on incrémente le compteur de rappel
							$sql = "UPDATE gs_membres SET date_rappel = CURRENT_DATE(), nb_rappel = nb_rappel+1 WHERE id_membre = $id_membre";
							$query = mysqli_query($con,$sql) or die(mysqli_error($con));
							if($query) $message = '<p class="succes">L\'avis d\'échéance a été envoyé</p>';
							else $message =  '<p class="erreur">Un problème s\'est produit</p>';
						}
						//2ème cas : cotisation montant = $bles
						if($bles > 0){
							$note = 'Cotisation annuelle en '.$cfg[monnaie]; //message automatique pour le transfert
							//on inscrit la date du jour comme date de rappel et on incrémente le compteur de rappel et le solde
							$sql1 = "UPDATE gs_membres SET date_rappel = CURRENT_DATE(), nb_rappel = nb_rappel+1, solde = solde - $bles WHERE id_membre = $id_membre";
							$query1 = mysqli_query($con,$sql1) or die(mysqli_error($con));
							
							if($query1){
							$sql2 = "UPDATE gs_membres SET solde = solde + $bles WHERE id_membre = 0";
							$query2 = mysqli_query($con,$sql2) or die(mysqli_error($con));
							}
							
							if($query2){
							$sql3 ="INSERT INTO gs_transferts (donneur, id_cat, beneficiaire, unites, date, message) VALUES ('$id_membre','0','0','$bles','$echeance_en','$note')";
							$query3 = mysqli_query($con,$sql3) or die(mysqli_error($con));
							}
							
							if($query3) $message = '<p class="succes">L\'avis d\'échéance a été envoyé et la cotisation annuelle a été prélevée</p>';
							else $message =  '<p class="erreur">Un problème s\'est produit à l\'insertion des données mais le mail a été envoyé</p>';
						}
					} else $message =  '<p class="erreur">Un problème s\'est produit</p>';
				break;

				//rappel de cotisation dûe
				case"rappel":
				$objet = '['.$cfg['nomdusel'].'] '.$mail[1]['objet'];
				  
				$contenu = '<html><head></head><body><div>';
				$contenu .= sprintf($mail[1]['contenu'], $prenom, $date_rappel, $echeance);
				$contenu .= '</div></body></html>';


					if(mail($email, $objet, $contenu, $headers)) {
						//on inscrit la date du jour comme date de rappel et on incrémente le compteur de rappel
						$sql = "UPDATE gs_membres SET date_rappel = CURRENT_DATE(), nb_rappel = nb_rappel+1 WHERE id_membre = $id_membre";
						$query = mysqli_query($con,$sql) or die(mysqli_error($con));
						if($query) $message = '<p class="succes">Les rappels ont été envoyés</p>';
						else $message =  '<p class="erreur">Un problème s\'est produit</p>';
					} else $message =  '<p class="erreur">Un problème s\'est produit</p>';
				break;

				//avis de désactivation
				case"desact":
				$objet = '['.$cfg['nomdusel'].'] '.$mail[2]['objet'];
				  
				$contenu = '<html><head></head><body><div>';
				$contenu .= sprintf($mail[2]['contenu'], $prenom, $echeance);
				$contenu .= '</div></body></html>';

					if(mail($email, $objet, $contenu, $headers)) {
					//on désactive les membres sélectionnés et leurs annonces
					$sql1 = "UPDATE gs_services_offres SET actif = 0 WHERE id_membre = $id_membre";
					$query1 = mysqli_query($con,$sql1) or die(mysqli_error($con));

					$sql = "UPDATE gs_membres SET date_desactivation = CURRENT_DATE(), actif = 0 WHERE id_membre = $id_membre";
					$query = mysqli_query($con,$sql) or die(mysqli_error($con));
					if($query) $message = '<p class="succes">Les membres ont été désactivés et ont reçu un avis</p>';
					else $message =  '<p class="erreur">Un problème s\'est produit</p>';
					} else $message =  '<p class="erreur">Un problème s\'est produit</p>';
				break;

				case"suppr":
				//on supprime les membres sélectionnés (procédure exceptionnelle) désactivée
				$sql = "DELETE FROM gs_membres WHERE id_membre = $id_membre";
				$query = mysqli_query($con,$sql) or die(mysqli_error($con));
				if($query) $message = '<p class="succes">Les membres ont été supprimés</p>';
				else $message =  '<p class="erreur">Un problème s\'est produit</p>';
				break;
			}//fin du switch
		}//fin du while
	}//fin du else
}//fin du isset
$_POST = array();

//requête des membres n'ayant jamais payé de cotisation
$sql = "SELECT id_membre, prenom, date_inscription, date_rappel, nb_rappel FROM gs_membres 
WHERE id_membre != 0 AND date_cotisation = 0 AND actif = 1 ORDER BY date_inscription";
$query = mysqli_query($con,$sql) or die(mysqli_error($con));

$sql2 = "SELECT id_membre, prenom, ADDDATE(date_cotisation, INTERVAL 1 YEAR) as echeance, date_rappel, nb_rappel FROM gs_membres 
WHERE id_membre != 0 AND date_cotisation != 0 AND actif = 1 ORDER BY date_cotisation";
$query2 = mysqli_query($con,$sql2) or die(mysqli_error($con));

$time_jour = time();
include('haut.php');

if(!empty($message)) echo $message;?>

<div class="top"><p><?php echo $title;?></p></div>
<div class="inner">

<form name="rappels" method="post" action="">
	<table class="membre">
		<tr><th>N°</th><th>Prénom</th><th>Date échéance</th><th>Depuis</th><th>Date rappel</th><th>Nb</th><th>Action</th><th class="last">Sélectionner</th></tr>
<?php
//boucle pour les nouveaux membres
while($result = mysqli_fetch_array($query)){
	extract($result);
	$time_echeance = strtotime($date_inscription);
	$date_echeance = date("d-m-Y", $time_echeance);
	$depuis = ceil(($time_jour - $time_echeance)/86400);
	
	$action = '';
	$class = '';
	if($nb_rappel == 0) {
		if($time_jour > $time_echeance + 1296000){
		$date_rappel = '';
		$action = 'A rappeler';
		$class = 'class="red"';
		} else $date_rappel = '';
	}else {
	$date_rappel = date("d-m-Y", strtotime($date_rappel));
	$action = 'A décider';
	$class = 'class="red"';
	}
?>
		<tr>
			<td class="num"><a href="profil.php?id_membre=<?php echo $id_membre;?>"><?php echo $id_membre;?></a></td>
			<td><?php echo $prenom;?></td>
			<td><?php echo $date_echeance;?></td>
			<td><?php echo $depuis;?> jours</td>
			<?php echo '<td '.$class.'>'.$date_rappel.'</td>';?>
			<td><?php echo $nb_rappel;?></td>
			<?php echo '<td '.$class.'>'.$action.'</td>';?>
			<td class="last"><input type="checkbox" name="liste[]" value="<?php echo $id_membre;?>"/></td>
		</tr>
	<?php }
//boucle pour les membres en retard
while($result = mysqli_fetch_array($query2)){
	extract($result);
	$time_echeance = strtotime($echeance);
  //on veut arrêter la boucle lorsque la date d'échéance est à 15 jrs de la date du jour histoire de les voir 15 jrs avant
  if($time_echeance - 1296000 < $time_jour) {
	$date_echeance = date("d-m-Y", $time_echeance);
	$depuis = ceil(($time_jour - $time_echeance)/86400);
	
		
	if($nb_rappel == 0) {
	$date_rappel = '';
	$action = 'Avis d\'échéance';
	$class = 'class="green"';
	}else {
	$date_rappel = date("d-m-Y", strtotime($date_rappel));
	$time_rappel = strtotime($date_rappel);
	}
	
	if($nb_rappel == 1) {
		if($time_jour > $time_rappel + 1296000) {
		$action = 'A rappeler';
		$class = 'class="red"';
		}else {
		$action = 'Avis envoyé';
		$class = 'class="green"';
		}

	}elseif($nb_rappel > 1) {
		$class = 'class="red"';
		if($time_jour > $time_rappel + 1296000) $action = 'Désactiver';
		else $action = 'Rappel envoyé';
	}
	
?>
		<tr>
			<td class="num"><a href="profil.php?id_membre=<?php echo $id_membre;?>"><?php echo $id_membre;?></a></td>
			<td><?php echo $prenom;?></td>
			<td><?php echo $date_echeance;?></td>
			<td><?php echo $depuis;?> jours</td>
			<?php echo '<td '.$class.'>'.$date_rappel.'</td>';?>
			<td><?php echo $nb_rappel;?></td>
			<?php echo '<td '.$class.'>'.$action.'</td>';?>
			<td class="last"><input type="checkbox" name="liste[]" value="<?php echo $id_membre;?>"/></td>
		</tr>
		<?php }
		}?>
	</table>
	
	<p class="floatright">
	<input type="reset" class="button" value="Annuler" />
	<select name="action">
		<option value="">Choisir une action</option>
		<option value="premcotis">Rappel de première cotisation</option>
		<option value="avis">Envoi d'un avis d'échéance</option>
		<option value="rappel">Envoi d'un rappel</option>
		<option value="desact">Désactivation</option>
		<!--<option value="suppr" onclick="return window.confirm('La suppression est irréversible, voulez-vous vraiment supprimer ce membre ?')">Suppression</option>-->
	</select>
	<input type="submit" class="button" name="submit" value="OK" /></p>
	
</form>
		
</div>

<div id="retour">
	<input type="button" class="button" value="Retour" onclick="window.location='adm-membres.php';"/>
</div>

<?php
include('bas.php'); ?>