<?php
session_start();
require ('control-session-admin.php');
require ('bd_conn.php');
$title = 'Gestion d\'une rubrique';
//on récupère le num de rubrique par get
if(isset($_GET['num'])) $numrub = (int) $_GET['num'];

//requête du nom de catégorie et du nom de rubrique
$sql = "SELECT r.id_rub, r.nom as rub_nom, c.nom as cat_nom 
FROM gs_rub_services as r, gs_cat_services as c 
WHERE r.id_rub = '$numrub' AND r.id_cat = c.id_cat ";
$query = mysqli_query($con,$sql) or die(mysqli_error($con));
$row = mysqli_fetch_array($query);
$titrerub = '<span class="floatright">'.$row['id_rub'].' - '.$row['rub_nom'].'</span>Catégorie : '.$row['cat_nom'] ;

//si le formulaire a été envoyé : reclassement
if(isset($_POST['submit1'])){
  if(!isset($_POST['liste'])) $message = '<p class="erreur">Vous devez sélectionner au moins une annonce</p>';
  elseif($_POST['liste_cat'] == '') $message = '<p class="erreur">Vous devez sélectionner une catégorie et une rubrique</p>';
  //on récupère les membres cochés
  else{
  $liste = $_POST['liste'];
  $i = 0;
  foreach($liste as $id) {
	if ($i == 1) {
    $query_where .= " OR " ;
    }
	$query_where .= "id_annonce = $id" ;
	$i = 1;
	}
  $cat = $_POST['liste_cat'];
  $rub = $_POST['liste_rub'];
  
  $sql = "UPDATE gs_services_offres SET id_cat = '$cat', id_rub = '$rub' WHERE $query_where";
  $query = mysqli_query($con,$sql) or die(mysqli_error($con));
  if($query) $message = '<p class="succes">Reclassement dans la rubrique '.$rub.' effectué</p>';
  else $message = '<p class="erreur">Un problème s\'est produit</p>';
  }
}//fin du isset submit1
//si le formulaire a été envoyé : suppression des annonces
if(isset($_POST['submit2'])){
  if(!isset($_POST['liste'])) $message = '<p class="erreur">Vous devez sélectionner au moins une annonce</p>';
  else{
  $liste = $_POST['liste'];
  $i = 0;
  foreach($liste as $id) {
	if ($i == 1) {
    $query_where .= " OR " ;
    }
	$query_where .= "id_annonce = $id" ;
	$i = 1;
	}
  $sql = "DELETE FROM gs_services_offres WHERE $query_where";
  $query = mysqli_query($con,$sql) or die(mysqli_error($con));
  if($query) $message = '<p class="succes">Suppression des annonces effectuée</p>';
  else $message = '<p class="erreur">Un problème s\'est produit</p>';
  }
}//fin du isset submit2
//si le formulaire a été envoyé : suppression de la rubrique
if(isset($_POST['submit3'])){
	$sql ="DELETE FROM gs_rub_services WHERE id_rub = $numrub";
	$query = mysqli_query($con,$sql) or die(mysqli_error($con));
    if($query) header('Location: gestion-categories.php?type=service');
    else $message = '<p class="erreur">Un problème s\'est produit</p>';
}//fin du isset submit3
$_POST = array();

//on affiche la liste des annonces de cette rubrique
$sql = "SELECT * FROM gs_services_offres WHERE id_rub = $numrub ORDER BY date DESC";
$query = mysqli_query($con,$sql) or die(mysqli_error($con));
$count = mysqli_num_rows($query);


include('haut.php');

echo $message ?>

<div class="top"><p><?php echo $titrerub ?></p></div>
<div class="inner">
	<form name="form_selects" id="form_selects" method="post" action="">
		<?php if($count == 0) {?>
		<p>Il n'y a plus d'annonces dans cette rubrique. Supprimer la rubrique ?</p>
		<p>Cliquer sur OK pour confirmer la suppression. <br />Cliquer sur Retour pour revenir à la gestion des catégories sans supprimer la rubrique</p>
		<p class="right"><input type="submit" class="button" name="submit3" value="OK" /></p>

		<?php } else {?>
		<p>Choisir une action et sélectionner les annonces concernées<br />Cliquer sur Retour pour ne rien faire</p>
		<table class="annonce">
		<?php //affichage liste
		while($row = mysqli_fetch_array($query)) {
		extract($row); ?>

		<tr><td>
		<p class="titre-annonce"><?php echo $titre ?></p>
		<p class="text-annonce"><?php echo nl2br($description) ?><br />
		<span class="small">Posté le <?php echo date("d-m-Y", strtotime("$date")) ?></p></td>
		<td class="last"><input type="checkbox" name="liste[]" value="<?php echo $id_annonce ?>" /></td></tr>
		<?php } ?>
		</table>
		
		<p class="floatright">
			<select name="action">
				<option value="">Choisir une action</option>
				<option value="reclass" onclick="montre('bloc1');">Reclasser</option>
				<option value="suppr" onclick="montre('bloc2');" >Supprimer</option>
			</select>
		</p>
		<div style="clear:right"></div>
		
		<div id="bloc1" style="display:none">
			<hr />
			<p>Choisissez une catégorie et une rubrique, les annonces sélectionnées seront déplacées dans la rubrique choisie.</p>
			<label for="categorie">Catégorie</label>
				<select name="liste_cat" id="liste_cat" class="ButtonL"  onclick="request06(this.form)">
					<option value="">Choisir une catégorie</option>
					<?php
					$sql_serv="SELECT * FROM gs_cat_services  WHERE actif=1 AND id_cat != 0 ORDER BY nom";
					$query_serv = mysqli_query($con,$sql_serv) or die(mysqli_error($con));
					
					while($serv = mysqli_fetch_array($query_serv)){
						echo '<option value="'.$serv['id_cat'].'">'.$serv['nom'].'</option>';
					} ?>
					
				</select>	
			<br />
			<label for="rubrique">Rubrique</label>				
				<select name="liste_rub" id="liste_rub" class="ButtonL">
					<option value="">Choisir une rubrique</option>
				</select>
			<br />
					
			<p><span class="floatright"><input type="submit" class="button" name="submit1" value="OK" /></span>
			<input type="reset" class="button" value="Annuler" /></p>
			
		</div>
		<div id="bloc2" style="display:none">
			<hr />
			<p>La suppression est définitive. Etes-vous sûr de vouloir supprimer les annonces sélectionnées ?</p>
			<p><span class="floatright"><input type="submit" class="button" name="submit2" value="OK" /></span>
			<input type="reset" class="button" value="Annuler" /></p>
			
		</div>
	</form>
	
<?php } ?>
</div>
<div id="retour">
	<input type="button" class="button" value="Retour" onclick="window.location='gestion-categories.php?type=service';"/>
</div>

<?php include('bas.php'); ?>
