<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
$title = 'Transférer des '.$cfg['monnaie'];
include('haut.php');
$donneur = $_SESSION['num'];
$prenom_donneur = $_SESSION['prenom'];
$email_donneur = $_SESSION['email']; 

if(!empty($_POST['submit'])) switch($_POST['submit']){

	case"Confirmer":
		$categorie = $_POST['liste_cat'];
		$tmp = explode('-', $_POST['liste_cat']);
		$id_cat = $tmp[0];
		$id_beneficiaire = $_POST['vers'];
		$bles = $_POST['bles'];
		
		$jour = $_POST['jour'];
		$mois = $_POST['mois'];
		$annee = $_POST['annee'];	
		$date1 = $jour.'-'.$mois.'-'.$annee;//date à mettre dans le message
		$date = $annee.'-'.$mois.'-'.$jour; //format date à mettre dans la bdd
		
		$note = mysqli_real_escape_string($con,$_POST['note']);
	
		//on insère les données dans la table des transferts
		$sql="INSERT INTO gs_transferts (donneur, id_cat, beneficiaire, unites, date, message) VALUES ('$donneur','$id_cat','$id_beneficiaire','$bles','$date','$note')";
		$query = mysqli_query($con,$sql) or die(mysqli_error($con));

		//on insère les nouveaux soldes dans la table des membres
		$sql_up="UPDATE gs_membres SET solde = solde + $bles WHERE id_membre = $id_beneficiaire";
		$query_up = mysqli_query($con,$sql_up) or die(mysqli_error($con));

		$sql_up="UPDATE gs_membres SET solde = solde - $bles WHERE id_membre = $donneur";
		$query_up = mysqli_query($con,$sql_up) or die(mysqli_error($con));
	
		//on sélectionne le prenom et l'adresse mail du bénéficiaire
		$sql = "SELECT prenom, email FROM gs_membres WHERE id_membre = $id_beneficiaire";
		$query = mysqli_query($con,$sql) or die(mysqli_error($con));
		$result = mysqli_fetch_array($query);
		extract($result);
		
		$objet = '['.$cfg['nomdusel'].'] Notification de transfert';
		
		$contenu = $donneur.' - '.$prenom_donneur.' a transféré '.$bles.' '.$cfg['monnaie'].' sur le compte de '.$id_beneficiaire.' - '.$prenom."\n";
		$contenu .= 'pour le service "'.$categorie.'" presté le '.$date1."\n\n";
		$contenu .= 'Message : "'.stripslashes($note).'"'."\n\n";
		$contenu .= 'Ce message est envoyé de façon automatique: il est inutile d\'y répondre. Mais si vous le souhaitez vous pouvez contacter '.$prenom_donneur.' à cette adresse : '.$email_donneur."\n";
		
		$headers ='From: "'.$cfg['nomdusel'].'"<'.$cfg['email'].'>'."\n";
		$headers .='Cc: '.$email_donneur."\n";
		$headers .='Bcc: '.$cfg['bcc']."\n"; 
		$headers .='Content-Type: text/plain; charset="UTF-8"'."\n"; 
		$headers .='Content-Transfer-Encoding: 8bit';
		
		if($query_up)
		{ 
			if(mail($email, $objet, $contenu, $headers))  
			$message = '<p class="succes">Les '.$cfg['monnaie'].' ont été transférés.<br />Un message de confirmation a été envoyé au bénéficiaire et à vous-même.</p>';
		}
		else $message = '<p class="erreur">Un problème s\'est produit, veuillez réessayer plus tard.</p>';
		
		$_POST = array();
		$note = '';
		$action = 'Enregistrer';
		include ('inc/form-transfert.inc');
		break;
	
	case"Enregistrer":
	
		// on vérifie la date
		$datejour = time();
		//années autorisées = année en cours ou année précédente
		$annee_prec = date('Y') - 1;
		
		$jour = $_POST['jour'];
		$mois = $_POST['mois'];
		$annee = $_POST['annee'];
		$result = checkdate((int)$mois, (int)$jour, (int)$annee);
		
		$date = $annee.'-'.$mois.'-'.$jour;
		$date = mktime(0,0,0,$mois,$jour,$annee);
				
		if($result == false) 
		{
			$message = '<p class="erreur">La date n\'est pas valide. Veuillez corriger svp</p>';
			$action = 'Enregistrer';
			include('inc/form-transfert.inc');
			break ;
		}
		elseif($annee < $annee_prec) 
		{
			$message = '<p class="erreur">Année en cours ou année précédente uniquement svp</p>';
			$action = 'Enregistrer';
			include('inc/form-transfert.inc');
			break ;
		}
		elseif($date > $datejour) 
		{
			$message = '<p class="erreur">Pas de date dans le futur svp</p>';
			$action = 'Enregistrer';
			include('inc/form-transfert.inc');
			break ;
		}
		//on vérifie s'il ne manque rien
		elseif($_POST['liste_cat'] == '' or $_POST['bles'] == '' or $_POST['bles'] == 0 or $_POST['vers'] == '' or $_POST['note'] == '')
		{		
			$message = '<p class="erreur">Le formulaire est incomplet, veuillez corriger svp</p>';
			$liste_rub = $_POST['liste_rub'];
			$action = 'Enregistrer';
			include('inc/form-transfert.inc');
			break ;
		}
		else
		{ //le format est correct et la date est valide
			$message = '<p class="erreur">Cette action est irréversible. Veuillez vérifier et Confirmer.
			<br />Vous avez demandé le transfert suivant :</p>';
			$action = 'Confirmer';
			include('inc/form-transfert.inc');
		}
	break;
	
}//fin du switch
else{
	$message_ini = '<div class="instruction"><p>Vous avez bénéficié d\'un service et souhaitez transférer des '.$cfg['monnaie'].' en contrepartie.</p>
	<p style="text-align:center"><span class="rem">'.$cfg['equivalence'].'</span></p>
	<p>Veuillez compléter tous les champs svp</p></div>';
	
	$action = 'Enregistrer';
	include('inc/form-transfert.inc');
}
include('bas.php'); ?>
