<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');

$sql="SELECT num, lat, lng, g.cp  
FROM gs_geocoord AS g, gs_membres AS m 
WHERE g.num = m.id_membre AND m.actif = 1;";
$query = mysqli_query($con,$sql) or die(mysqli_error($con));
$nb = mysqli_num_rows($query);
?>
<!DOCTYPE html>
<html>
  <head>
    <title>Carte des membres</title>
    <meta name="viewport" content="initial-scale=1.0, user-scalable=no">
    <meta charset="utf-8">
    <style>
      html, body, #map-canvas {
        height: 100%;
        margin: 0px;
        padding: 0px
      }
    </style>
    <script src="https://maps.googleapis.com/maps/api/js?sensor=false"></script>
    <script>
function initialize() {
  var myLatlng = new google.maps.LatLng(50.846731,4.352413);
  var mapOptions = {
    zoom: 12,
    center: myLatlng
  };
  var map = new google.maps.Map(document.getElementById('map-canvas'),
      mapOptions);
	  
	<?php while($data = mysqli_fetch_array($query)){
		extract($data); 
		if($cp > 1210) $cp = 'default';?>
	  var lat = <?=$lat ?>;
	  var lng = <?=$lng ?>;
	  var pin = "markers/<?=$cp ?>.png";
	  var latlng = new google.maps.LatLng(lat,lng);
	  var marker = new google.maps.Marker({
			  position: latlng,
			  map: map,
			  title: "<?=$num ?>",
			  icon : pin
			});
	google.maps.event.addListener(marker, 'click', function() {
		window.open("profil.php?id_membre=<?=$num ?>"," _blank");
	});
	<?php } ?>
}

google.maps.event.addDomListener(window, 'load', initialize);

    </script>
  </head>
  <body>
	<div style="text-align:center"><?php echo $nb ?> membres actifs. Passer le curseur sur les repères pour voir les numéros de membre. Cliquer sur le repère pour voir le profil du membre.</div>
    <div id="map-canvas"></div>
  </body>
</html>